# both ERalpha exp
U251_E2_Gen_a<-read.table("Data_final_E2_Gen_ERa.txt", sep="\t", header=TRUE)  
summary(U251_E2_Gen_a)
U251_E2_Gen_a_DMSO_means<-mean(U251_E2_Gen_a[which((U251_E2_Gen_a$E2==0)&(U251_E2_Gen_a$Genistein==0)),]$intensite)
U251_E2_Gen_a_relative<-data.frame(U251_E2_Gen_a, I=U251_E2_Gen_a$intensite/U251_E2_Gen_a_DMSO_means) # 
library(reshape)
U251_E2_Gen_a_geom_mean<-cast(melt(U251_E2_Gen_a_relative, id.vars=c(1,2,3,4), measure.vars=6), E2+Genistein+Num+pct~., function(x) exp(mean(log(x), na.rm=TRUE))) 

U251_E2_Gen_a_Exp2<-read.table("Data_final_E2_Gen_ERa_Exp2.txt", sep="\t", header=TRUE)  
summary(U251_E2_Gen_a_Exp2)
U251_E2_Gen_a_Exp2<-U251_E2_Gen_a_Exp2[-which(U251_E2_Gen_a_Exp2$intensite<100),] # delete one data point
U251_E2_Gen_a_Exp2_DMSO_means<-exp(mean(log(U251_E2_Gen_a_Exp2[which((U251_E2_Gen_a_Exp2$E2==0)&(U251_E2_Gen_a_Exp2$Genistein==0)),]$intensite)))
U251_E2_Gen_a_Exp2_relative<-data.frame(U251_E2_Gen_a_Exp2, I=U251_E2_Gen_a_Exp2$intensite/U251_E2_Gen_a_Exp2_DMSO_means) 
U251_E2_Gen_a_Exp2_geom_mean<-cast(melt(U251_E2_Gen_a_Exp2_relative, id.vars=c(1,2,3,4), measure.vars=6), E2+Genistein+Num+pct~., function(x) exp(mean(log(x), na.rm=TRUE))) 

lev_pct<-levels(as.factor(U251_E2_Gen_a_Exp2_geom_mean$pct))


U251_E2_Gen_a_all_geom_mean<-rbind(cbind(U251_E2_Gen_a_geom_mean, Exp="Exp1"), cbind(U251_E2_Gen_a_Exp2_geom_mean, Exp="Exp2"))
colnames(U251_E2_Gen_a_all_geom_mean)[5]<-"I"
jpeg("data_U251_E2_Gen_a_all_mean_points.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(U251_E2_Gen_a_Exp2_geom_mean$Genistein[which(U251_E2_Gen_a_Exp2_geom_mean$pct==lev_pct[1])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_Exp2_geom_mean$E2[which(U251_E2_Gen_a_Exp2_geom_mean$pct==lev_pct[1])], U251_E2_Gen_a_Exp2_geom_mean[which(U251_E2_Gen_a_Exp2_geom_mean$pct==lev_pct[1]), 5], log="xy", type="b", pch=1, ylab="fold induction", xlab="concentration eq E2 (nM)", xlim=c(0.001, 100), ylim=c(0.6,16))
for (i in 2:(length(U251_E2_Gen_a_Exp2_geom_mean$pct)-1))
  lines(U251_E2_Gen_a_Exp2_geom_mean$Genistein[which(U251_E2_Gen_a_Exp2_geom_mean$pct==lev_pct[i])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_Exp2_geom_mean$E2[which(U251_E2_Gen_a_Exp2_geom_mean$pct==lev_pct[i])], U251_E2_Gen_a_Exp2_geom_mean[which(U251_E2_Gen_a_Exp2_geom_mean$pct==lev_pct[i]), 5], type="b", pch=1, col=i)
points(U251_E2_Gen_a_geom_mean$Genistein[which(U251_E2_Gen_a_geom_mean$pct==lev_pct[1])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_geom_mean$E2[which(U251_E2_Gen_a_geom_mean$pct==lev_pct[1])], U251_E2_Gen_a_geom_mean[which(U251_E2_Gen_a_geom_mean$pct==lev_pct[1]), 5], type="b", pch=3)
for (i in 2:(length(U251_E2_Gen_a_geom_mean$pct)-1))
  lines(U251_E2_Gen_a_geom_mean$Genistein[which(U251_E2_Gen_a_geom_mean$pct==lev_pct[i])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_geom_mean$E2[which(U251_E2_Gen_a_geom_mean$pct==lev_pct[i])], U251_E2_Gen_a_geom_mean[which(U251_E2_Gen_a_geom_mean$pct==lev_pct[i]), 5], type="b", pch=3, col=i)
legend("bottomright", col=c(1:5,1,1), lty=c(1:5,0,0), lwd=c(rep(1,5),0,0), pch=c(rep(".",5),"+","o"), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen", "Exp1", "Exp2"), ncol=1)
dev.off()


res_U251_E2_a_all<-drm(log10(I)~E2, fct=LL.3(), data=U251_E2_Gen_a_all_geom_mean, subset=which(U251_E2_Gen_a_all_geom_mean$Genistein==0))
modelFit(res_U251_E2_a_all) #  0.8711
plot(res_U251_E2_a_all, type="all", broken=TRUE)
#b:(Intercept)  d:(Intercept)  e:(Intercept)  
#  -0.4398         1.2715         0.1687  
res_U251_Gen_a_all<-drm(log10(I)~Genistein, fct=LL.3(), data=U251_E2_Gen_a_all_geom_mean, subset=which(U251_E2_Gen_a_all_geom_mean$E2==0))
modelFit(res_U251_Gen_a_all) #   0.3456# .
plot(res_U251_Gen_a_all, type="all", broken=TRUE)
# b:(Intercept)  d:(Intercept)  e:(Intercept)  
#   -0.7602         0.9640         4.7003  
U251_E2_ERalpha.log.Hill4 # ma nouvelle EC est OK
0.1687/1.846e-07*1e-06 #  0.9138678
modelFit(U251_E2_ERalpha.log.Hill4) # 0.0083 Bof
U251_Gen_ERalpha.log.Hill4 # ma nouvelle EC est 10 fois plus faible 
4.7003 /5.061e-05*1e-06 #0.09287295
modelFit(U251_Gen_ERalpha.log.Hill4) # 0.0945 OK

# si j'optimise un max commun.
common_min_U251_E2_Gen_a_all<-optimize(function(x) sum(drm(log10(I)~E2, data = U251_E2_Gen_a_all_geom_mean, fct = LL.4(fixed = c(NA, x, NA, NA)), subset=which(U251_E2_Gen_a_all_geom_mean$Genistein==0))$fit$value, drm(log10(I)~Genistein, data = U251_E2_Gen_a_all_geom_mean, fct = LL.4(fixed = c(NA, x, NA,NA)), subset=which(U251_E2_Gen_a_all_geom_mean$E2==0))$fit$value), interval=c(-0.5,0.5),maximum=FALSE) 
# $minimum
# [1] -0.007213778
# 
# $objective
# [1] 0.1777635

# si j'optimise un max commun.
common_max_U251_E2_Gen_a_all<-optimize(function(x) sum(drm(log10(I)~E2, data = U251_E2_Gen_a_all_geom_mean, fct = LL.3(fixed = c(NA,  x, NA)), subset=which(U251_E2_Gen_a_all_geom_mean$Genistein==0))$fit$value, drm(log10(I)~Genistein, data = U251_E2_Gen_a_all_geom_mean, fct = LL.3(fixed = c(NA, x, NA)), subset=which(U251_E2_Gen_a_all_geom_mean$E2==0))$fit$value), interval=c(0.5,1.5),maximum=FALSE) 
# $minimum
# [1] 1.08033
# 
# $objective
# [1] 0.2396313

res_U251_E2_Max_a_all<-drm(log10(I)~E2, fct=LL.4(fixed=c(NA, common_min_U251_E2_Gen_a_all$minimum, common_max_U251_E2_Gen_a_all$minimum, NA)), data=U251_E2_Gen_a_all_geom_mean, subset=which(U251_E2_Gen_a_all_geom_mean$Genistein==0))
modelFit(res_U251_E2_Max_a_all) #   0.6348
anova(res_U251_E2_a_all, res_U251_E2_Max_a_all) #  0.1024 Max OK
0.1687/0.171 # 0.9865497
res_U251_Gen_Max_a_all<-drm(log10(I)~Genistein, fct=LL.4(fixed=c(NA, common_min_U251_E2_Gen_a_all$minimum, common_max_U251_E2_Gen_a_all$minimum, NA)), data=U251_E2_Gen_a_all_geom_mean, subset=which(U251_E2_Gen_a_all_geom_mean$E2==0))
modelFit(res_U251_Gen_Max_a_all) #   0.1793 OK.
anova(res_U251_Gen_a_all, res_U251_Gen_Max_a_all) #  0.0545 OK
4.7003/48.9 #0.09612065

common_slope_U251_E2_Gen_a_all<-optimize(function(x) sum(drm(log10(I)~E2, data = U251_E2_Gen_a_all_geom_mean, fct = LL.4(fixed = c(x,  common_min_U251_E2_Gen_a_all$minimum, common_max_U251_E2_Gen_a_all$minimum, NA)), subset=which(U251_E2_Gen_a_all_geom_mean$Genistein==0))$fit$value, drm(log10(I)~Genistein, data = U251_E2_Gen_a_all_geom_mean, fct = LL.4(fixed = c(x, common_min_U251_E2_Gen_a_all$minimum, common_max_U251_E2_Gen_a_all$minimum, NA)), subset=which(U251_E2_Gen_a_all_geom_mean$E2==0))$fit$value), interval=c(-1.5,-0.3),maximum=FALSE) 
# $minimum
# [1] -0.555172
# 
# $objective
# [1] 0.2427255
res_U251_E2_slope_Max_a_all<-drm(log10(I)~E2, fct=LL.4(fixed=c(common_slope_U251_E2_Gen_a_all$minimum, common_min_U251_E2_Gen_a_all$minimum, common_max_U251_E2_Gen_a_all$minimum, NA)), data=U251_E2_Gen_a_all_geom_mean, subset=which(U251_E2_Gen_a_all_geom_mean$Genistein==0))
modelFit(res_U251_E2_slope_Max_a_all) #  0.7187
anova(res_U251_E2_Max_a_all, res_U251_E2_slope_Max_a_all) # 0.7374 Slope OK
res_U251_Gen_slope_Max_a_all<-drm(log10(I)~Genistein, fct=LL.4(fixed=c(common_slope_U251_E2_Gen_a_all$minimum, common_min_U251_E2_Gen_a_all$minimum, common_max_U251_E2_Gen_a_all$minimum, NA)), data=U251_E2_Gen_a_all_geom_mean, subset=which(U251_E2_Gen_a_all_geom_mean$E2==0))
modelFit(res_U251_Gen_slope_Max_a_all) #   0.2299 OK.
anova(res_U251_Gen_Max_a_all, res_U251_Gen_slope_Max_a_all) # 0.6817 Slope OK

common_slope_Min_Max_U251_E2_Gen_a_all<-optim(par=c(-0.6,0, 1), function(x) sum(drm(log10(I)~E2, data = U251_E2_Gen_a_all_geom_mean, fct = LL.4(fixed = c(x[1],  x[2], x[3], NA)), subset=which(U251_E2_Gen_a_all_geom_mean$Genistein==0))$fit$value, drm(log10(I)~Genistein, data = U251_E2_Gen_a_all_geom_mean, fct = LL.4(fixed = c(x[1],  x[2], x[3], NA)), subset=which(U251_E2_Gen_a_all_geom_mean$E2==0))$fit$value)) 
# $par
# [1] -0.579491198  0.002112527  1.067044249
# 
# $value
# [1] 0.2419866
res_U251_E2_slope_Max2_a_all<-drm(log10(I)~E2, fct=LL.4(fixed=c(common_slope_Min_Max_U251_E2_Gen_a_all$par, NA)), data=U251_E2_Gen_a_all_geom_mean, subset=which(U251_E2_Gen_a_all_geom_mean$Genistein==0))
modelFit(res_U251_E2_slope_Max2_a_all) # 0.6718
anova(res_U251_E2_a_all, res_U251_E2_slope_Max2_a_all) # 0.1887 OK
res_U251_Gen_slope_Max2_a_all<-drm(log10(I)~Genistein, fct=LL.4(fixed=c(common_slope_Min_Max_U251_E2_Gen_a_all$par, NA)), data=U251_E2_Gen_a_all_geom_mean, subset=which(U251_E2_Gen_a_all_geom_mean$E2==0))
modelFit(res_U251_Gen_slope_Max2_a_all) #   0.2645 OK.
anova(res_U251_Gen_a_all, res_U251_Gen_slope_Max2_a_all) # 0.1794 OK.





# first let's use isobologram.
U251_E2_Gen_a_all_geom_mean_dose<-data.frame(U251_E2_Gen_a_all_geom_mean, dose=U251_E2_Gen_a_all_geom_mean$E2+ U251_E2_Gen_a_all_geom_mean$Genistein)
U251_E2_Gen_a_all_geom_mean_dose$pct[which(U251_E2_Gen_a_all_geom_mean_dose$pct!=999)]<-signif(U251_E2_Gen_a_all_geom_mean$Genistein/(U251_E2_Gen_a_all_geom_mean$E2+U251_E2_Gen_a_all_geom_mean$Genistein)*100, digits=4)[which(U251_E2_Gen_a_all_geom_mean_dose$pct!=999)]

res_U251_E2_Gen_a_all_mixture_EC_fixed<-drm(log10(I) ~ dose, pct, data = U251_E2_Gen_a_all_geom_mean_dose, fct = LL.4(fixed=c(common_slope_Min_Max_U251_E2_Gen_a_all$par, NA)), pmodels = list(~factor(pct) - 1))  
#isobole(res_U251_E2_Gen_a_all_mixture_EC_fixed)  
res_U251_E2_Gen_a_all_mixture_EC<-drm(log10(I) ~ dose, pct, data = U251_E2_Gen_a_all_geom_mean_dose, fct = LL.4(), pmodels = list(~1,~1, ~1,~factor(pct) - 1))  
# max 1.01563, slope= -1.11450. not quite as expected.
#isobole(res_U251_E2_Gen_a_all_mixture_EC)
modelFit(res_U251_E2_Gen_a_all_mixture_EC) # 0.2127  ça passe! étonnant vu l'allure des courbes, c'est grâce à cette superbe variabilité intermanip.

jpeg("U251_E2_Gen_a_all_isobole_EC.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_U251_E2_Gen_a_all_mixture_EC, xlim=c(0,200), ylim=c(0,200/(res_U251_E2_Gen_a_all_mixture_EC$coefficients[4]/res_U251_E2_Gen_a_all_mixture_EC$coefficients[8])), ylab="E2 (nM)", xlab="Genistein (nM)") #antagonisme but not very regular.  
dev.off()


res_U251_E2_Gen_a_all_mixture_EC_Slopes<-drm(log10(I) ~ dose, pct, data = U251_E2_Gen_a_all_geom_mean_dose, fct = LL.4(), pmodels = list(~factor(pct) - 1, ~1,~1,~factor(pct) - 1))  
# b:100        b:99.83         b:99.5      b:98.52          b:0  d:(Intercept)        e:100        e:99.83      e:99.5       e:98.52        e:0  
# -0.52879    -1.02558       -1.89032     -0.54614     -0.59514        1.07669      8.84832      128.51382   46.37756       10.00361    0.07005  
#isobole(res_U251_E2_Gen_a_all_mixture_EC_Slopes)
modelFit(res_U251_E2_Gen_a_all_mixture_EC_Slopes) # 0.6952 OK
anova(res_U251_E2_Gen_a_all_mixture_EC_Slopes, res_U251_E2_Gen_a_all_mixture_EC) # 0.0054 même pente ne convient pas

jpeg("U251_E2_Gen_a_all_isobole_EC_Slopes.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_U251_E2_Gen_a_all_mixture_EC_Slopes, xlim=c(0,200), ylim=c(0,200/(res_U251_E2_Gen_a_all_mixture_EC_Slopes$coefficients[8]/res_U251_E2_Gen_a_all_mixture_EC_Slopes$coefficients[12])), ylab="E2 (nM)", xlab="Genistein (nM)") #antagonisme but not very regular.  
dev.off() # quasi pas de différence.


res_ray_U251_E2_Gen_a_all<-lapply(1:5, function(x){
  hill(c(res_U251_E2_Gen_a_all_mixture_EC$coefficients[2], res_U251_E2_Gen_a_all_mixture_EC$coefficients[3], -res_U251_E2_Gen_a_all_mixture_EC$coefficients[1], res_U251_E2_Gen_a_all_mixture_EC$coefficients[c(8,7,6,5,4)[x]]), conc=list_ray_U251_E2_Gen_a[[x]][,1]+list_ray_U251_E2_Gen_a[[x]][,2])
})

jpeg("model_EC_U251_E2_Gen_a_all_old_eq.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(list_ray_U251_E2_Gen_a[[1]]$Gen/(EC50_alpha[2]/EC50_alpha[1])+list_ray_U251_E2_Gen_a[[1]]$E2, res_ray_U251_E2_Gen_a_all[[1]], type="l", xlab="Concentration eq E2 (nM)", ylab="log10(fold induction)", log="x") 
points(U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])], log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1]), 5]))
for (i in 2:5){
  points(list_ray_U251_E2_Gen_a[[i]]$Gen/(EC50_alpha[2]/EC50_alpha[1])+list_ray_U251_E2_Gen_a[[i]]$E2, res_ray_U251_E2_Gen_a_all[[i]], type="l",col=i)
  points(U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])], log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i]), 5]), col=i, pch=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()


res_ray_U251_E2_Gen_a_all_EC_Slopes<-lapply(1:5, function(x){
  hill(c(res_U251_E2_Gen_a_all_mixture_EC_Slopes$coefficients[6], res_U251_E2_Gen_a_all_mixture_EC_Slopes$coefficients[7], -res_U251_E2_Gen_a_all_mixture_EC_Slopes$coefficients[c(5,4,3,2,1)[x]], res_U251_E2_Gen_a_all_mixture_EC_Slopes$coefficients[c(12,11,10,9,8)[x]]), conc=list_ray_U251_E2_Gen_a[[x]][,1]+list_ray_U251_E2_Gen_a[[x]][,2])
})

jpeg("model_EC_Slopes_U251_E2_Gen_a_all_old_eq.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(list_ray_U251_E2_Gen_a[[1]]$Gen/(EC50_alpha[2]/EC50_alpha[1])+list_ray_U251_E2_Gen_a[[1]]$E2, res_ray_U251_E2_Gen_a_all_EC_Slopes[[1]], type="l", xlab="Concentration eq E2 (nM)", ylab="log10(fold induction)", log="x") 
points(U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])], log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1]), 5]))
for (i in 2:5){
  points(list_ray_U251_E2_Gen_a[[i]]$Gen/(EC50_alpha[2]/EC50_alpha[1])+list_ray_U251_E2_Gen_a[[i]]$E2, res_ray_U251_E2_Gen_a_all_EC_Slopes[[i]], type="l",col=i)
  points(U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])], log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i]), 5]), col=i, pch=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()




res_U251_E2_Gen_all_Anova<-aov(log10(I)~as.factor(paste(U251_E2_Gen_a_all_geom_mean[,3], U251_E2_Gen_a_all_geom_mean[,4])), data=U251_E2_Gen_a_all_geom_mean)
res_U251_E2_Gen_all_CA<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.2, 100, 0.6), lower=c(-0.5,0.8, -1, 5, 0.01), start=c(0,1.1, -0.6, 20, 0.05), identical_slopes=TRUE, interact="none") # 1.559387
res_U251_E2_Gen_all_CA_SA<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5, 1.2,-0.3, 100, 0.6,20), lower=c(-0.5, 0.8, -1, 5, 0.01,0), start=c(0, 1.1, -0.6, 20, 0.05,1), identical_slopes=TRUE, interact="SA") # 0.9897231
res_U251_E2_Gen_all_CA_DR<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.3, 100, 0.2,10,20), lower=c(-0.5, 0.8, -0.8, 10, 0.02,-10,-10), start=c(0,1.1, -0.6, 20, 0.05,2,2), identical_slopes=TRUE, interact="DR") # 0.9456126
res_U251_E2_Gen_all_CA_DL<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.3, 50, 0.2,30,1), lower=c(-0.5,1, -0.8, 10, 0.02,0,-5), start=c(0,1.1, -0.6, 20, 0.1,10,0), identical_slopes=TRUE, interact="DL") # 0.7603743



1-pf((res_U251_E2_Gen_all_CA$RSS-summary(res_U251_E2_Gen_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1)/(28-5), 28-5,dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1) # 0.005161587 on accepte Anova (pas CA)
1-pf((res_U251_E2_Gen_all_CA_SA$RSS-summary(res_U251_E2_Gen_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1)/(28-6), 28-6,dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1) #  #  0.1817199 on accepte SA
1-pf((res_U251_E2_Gen_all_CA_DR$RSS-summary(res_U251_E2_Gen_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1)/(28-7), 28-7,dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1) #  #  0.2106077 on accepte DR
1-pf((res_U251_E2_Gen_all_CA_DL$RSS-summary(res_U251_E2_Gen_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1)/(28-7), 28-7,dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1) #  # 0.6266175 on accepte  DL

1-pf((res_U251_E2_Gen_all_CA$RSS-res_U251_E2_Gen_all_CA_SA$RSS)/res_U251_E2_Gen_all_CA_SA$RSS*(dim(U251_E2_Gen_a_all_geom_mean)[1]-1-6), 6-5, dim(U251_E2_Gen_a_all_geom_mean)[1]-1-6) #   2.086647e-06 SA  mieux que CA, 
1-pf((res_U251_E2_Gen_all_CA$RSS-res_U251_E2_Gen_all_CA_DR$RSS)/res_U251_E2_Gen_all_CA_DR$RSS/2*(dim(U251_E2_Gen_a_all_geom_mean)[1]-1-7), 7-5, dim(U251_E2_Gen_a_all_geom_mean)[1]-1-7) #   4.759965e-06 DR mieux que CA,
1-pf((res_U251_E2_Gen_all_CA$RSS-res_U251_E2_Gen_all_CA_DL$RSS)/res_U251_E2_Gen_all_CA_DL$RSS/2*(dim(U251_E2_Gen_a_all_geom_mean)[1]-1-7), 7-5, dim(U251_E2_Gen_a_all_geom_mean)[1]-1-7) #   2.2793e-08 DL mieux que CA, 

1-pf((res_U251_E2_Gen_all_CA_SA$RSS-res_U251_E2_Gen_all_CA_DL$RSS)/res_U251_E2_Gen_all_CA_DL$RSS/1*(dim(U251_E2_Gen_a_all_geom_mean)[1]-1-7), 7-6, dim(U251_E2_Gen_a_all_geom_mean)[1]-1-7) #  0.0007910429 DL mieux que SA  


1-pf((res_U251_E2_Gen_all_CA_SA$RSS-res_U251_E2_Gen_a_all_mixture_EC$fit$value)/res_U251_E2_Gen_a_all_mixture_EC$fit$value/(8-6)*(dim(U251_E2_Gen_a_all_geom_mean)[1]-1-8), 8-6, dim(U251_E2_Gen_a_all_geom_mean)[1]-1-8) #    0.04289222 EC libre par rayon pas  mieux que SA, 
1-pf((res_U251_E2_Gen_a_all_mixture_EC$fit$value-summary(res_U251_E2_Gen_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_all_Anova)[[1]][2,2]/(28-8)*(dim(U251_E2_Gen_a_all_geom_mean)[1]-1-28), 28-8, dim(U251_E2_Gen_a_all_geom_mean)[1]-1-28) #   0.2420206 Anova pas mieux que EC libre par rayon  # je n'arrive pas à retrouver la valeur calculée par modelFit

# for comparison with MixTox
res_U251_E2_Gen_all_CA_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5, 1.2,-0.3,-0.3, 100, 0.6), lower=c(-0.5,0.8, -1.1, -1.1, 5, 0.01), start=c(0,0.9, -0.6, -0.6, 20, 0.05), identical_slopes=FALSE, interact="none") #[1] 1.469688
res_U251_E2_Gen_all_CA_SA_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.3,-0.3, 50, 0.6,20), lower=c(-0.5,0.8, -1.1, -1.1, 5, 0.01,0), start=c(0,1, -1, -1, 20, 0.05,1), identical_slopes=FALSE, interact="SA")
# $RSS  0.934002
res_U251_E2_Gen_all_CA_DR_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.3,-0.3, 50, 0.2,10,20), lower=c(-0.5,1, -0.8, -0.8, 10, 0.02,-3,0), start=c(0,1.1, -0.6, -0.6, 20, 0.05,0,5), identical_slopes=FALSE, interact="DR", multicore=FALSE) #0.9002937
res_U251_E2_Gen_all_CA_DL_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.3,-0.3, 50, 0.2,30,1), lower=c(-0.5,1, -0.9, -0.9, 10, 0.02,5,-2), start=c(0,1.1, -0.6, -0.6, 20, 0.05,7,0.5), identical_slopes=FALSE, interact="DL", multicore=FALSE, iter=250) 
# end of comparison with MixTox



res_U251_E2_Gen_all_CA_SA_slopes_nlm_speed<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.4,-0.3, 50, 0.9,25), lower=c(-0.5,0.8, -1, -1, 5, 0.03,0), start=c(0,1, -0.6, -0.6, 20, 0.1,4), identical_slopes=FALSE, interact="SA", multicore=FALSE, DEoptim=FALSE)# environ 3min 
# $RSS 0.9883724 
1-pf((res_U251_E2_Gen_all_CA_SA_slopes_nlm_speed$RSS-summary(res_U251_E2_Gen_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1)/(28-7), 28-7,dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1) #  #  0.1574951 on accepte SA avec pentes différentes
1-pf((res_U251_E2_Gen_all_CA_SA$RSS-res_U251_E2_Gen_all_CA_SA_slopes_nlm_speed$RSS)/res_U251_E2_Gen_all_CA_SA_slopes_nlm_speed$RSS* (dim(U251_E2_Gen_a_all_geom_mean)[1]-7-1)/(7-6), 7-6,dim(U251_E2_Gen_a_all_geom_mean)[1]-7-1) #  0.7968943 pas d'intérêt à avoir pentes différentes

res_U251_E2_Gen_all_CA_DR_slopes_nlm_speed<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.4,-0.3, 50, 0.9,20,25), lower=c(-0.5,0.8, -1, -1, 5, 0.03,-5,-5), start=c(0,1, -0.7, -0.7, 10, 0.05,0,20), identical_slopes=FALSE, interact="DR", multicore=FALSE, DEoptim=FALSE)# environ 3min 
# $RSS  0.9456126 # ne vaut pas le coup # n'atteint même pas la valeur avec mêmes pentes... res_U251_E2_Gen_CA_DR_slopes_short
1-pf((res_U251_E2_Gen_all_CA_DR$RSS-res_U251_E2_Gen_all_CA_DR_slopes_nlm_speed$RSS)/res_U251_E2_Gen_all_CA_DR_slopes_nlm_speed$RSS* (dim(U251_E2_Gen_a_all_geom_mean)[1]-8-1)/(8-7), 8-7,dim(U251_E2_Gen_a_all_geom_mean)[1]-8-1) # 1 

res_U251_E2_Gen_all_CA_DL_slopes_nlm_speed<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.5,1.2,-0.4,-0.3, 50, 0.9,20,20), lower=c(-0.5,0.8, -1, -1, 5, 0.03,-5,-5), start=c(0,1, -0.6, -0.6, 20, 0.1,0,0), identical_slopes=FALSE, interact="DL", multicore=FALSE, DEoptim=FALSE)#  plus long que SA, bien 5min (j'avais mis plus de valeurs initiales)
# $RSS  1.05623 # je devrais arriver faire mieux que res_U251_E2_Gen_all_CA_DL$RSS . Au pire, il doit mettre la même pente de façon à ne plus considérer de différence de pente. 
res_U251_E2_Gen_all_CA_DL_slopes_nlm_speed2<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_a_all_geom_mean[,2:1], Response=log10(U251_E2_Gen_a_all_geom_mean$I), upper=c(0.2,1.1,-0.45,-0.4, 50, 0.2,22,1), lower=c(-0.2,1, -0.6, -0.55, 5, 0.01,-1,-1), start=c(0,1.05, -0.5, -0.5, 20, 0.03,15,0.01), identical_slopes=FALSE, interact="DL", multicore=FALSE, DEoptim=FALSE)#  je force à prendre des param proches de res_U251_E2_Gen_all_CA_DL 
# $RSS  0.7669456 pas loin, mais quand même pas aussi bien que prévu

1-pf((res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS-summary(res_U261_E2_Gen_all_Anova)[[1]][2,2])/summary(res_U261_E2_Gen_all_Anova)[[1]][2,2]* (dim(U261_E2_Gen_a_all_geom_mean)[1]-28-1)/(28-8), 28-8,dim(U261_E2_Gen_a_all_geom_mean)[1]-28-1) #  #  0.6713286 on accepte DL avec pentes différentes
1-pf((res_U261_E2_Gen_all_CA_DL$RSS-res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS)/res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS* (dim(U261_E2_Gen_a_all_geom_mean)[1]-8-1)/(8-7), 8-7,dim(U261_E2_Gen_a_all_geom_mean)[1]-8-1) #  1 pas d'intérêt à avoir pentes différente
1-pf((res_U261_E2_Gen_all_CA$RSS-res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS)/res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS* (dim(U261_E2_Gen_a_all_geom_mean)[1]-8-1)/(8-5), 8-5,dim(U261_E2_Gen_a_all_geom_mean)[1]-8-1) #1.737528e-08 bien mieux que CA
1-pf((res_U261_E2_Gen_all_CA_slopes_Mixtox$RSS-res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS)/res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS* (dim(U261_E2_Gen_a_all_geom_mean)[1]-8-1)/(8-6), 8-6,dim(U261_E2_Gen_a_all_geom_mean)[1]-8-1) #6.838698e-08 bien mieux que CA pentes différentes
1-pf((res_U261_E2_Gen_all_CA_SA_slopes_nlm_speed$RSS-res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS)/res_U261_E2_Gen_all_CA_DL_slopes_nlm_speed2$RSS* (dim(U261_E2_Gen_a_all_geom_mean)[1]-8-1)/(8-7), 8-7,dim(U261_E2_Gen_a_all_geom_mean)[1]-8-1) # 0.0006186295  mieux que SA pentes inégales

res_E2_Gen_a_all<-data.frame(RSS=unlist(lapply(list(res_U251_E2_Gen_all_CA_slopes_Mixtox, res_U251_E2_Gen_all_CA, res_U251_E2_Gen_all_CA_SA, res_U251_E2_Gen_all_CA_DR, res_U251_E2_Gen_all_CA_DL,
                                                    res_U251_E2_Gen_all_CA_SA_slopes_Mixtox, res_U251_E2_Gen_all_CA_DR_slopes_Mixtox, res_U251_E2_Gen_all_CA_DL_slopes_Mixtox,
                                                    res_U251_E2_Gen_all_CA_SA_slopes_nlm_speed, res_U251_E2_Gen_all_CA_DR_slopes_nlm_speed, res_U251_E2_Gen_all_CA_DL_slopes_nlm_speed2), function(x) x$RSS)), 
                             df=c(5,4,5,6,6,6,7,7,6,7,7)+1)
res_E2_Gen_a_all<-data.frame(res_E2_Gen_a_all, 
                             p_anova=apply(res_E2_Gen_a_all, 1, function(x) 1-pf((x[1]-summary(res_U251_E2_Gen_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1)/(28-x[2]), 28-x[2],dim(U251_E2_Gen_a_all_geom_mean)[1]-28-1)), 
                             p_CA=c(apply(res_E2_Gen_a_all[1:5,], 1, function(x) 1-pf((res_U251_E2_Gen_all_CA$RSS-x[1])/x[1]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1)/(x[2]-5), x[2]-5,dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1)), 
                                    apply(res_E2_Gen_a_all[6:11,], 1, function(x) 1-pf((res_U251_E2_Gen_all_CA_slopes_Mixtox$RSS-x[1])/x[1]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1)/(x[2]-5), x[2]-5,dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1))),
                             p_SA=c(apply(res_E2_Gen_a_all[1:5,], 1, function(x) 1-pf((res_U251_E2_Gen_all_CA_SA$RSS-x[1])/x[1]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1)/(x[2]-6), x[2]-6,dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1)),
                                    apply(res_E2_Gen_a_all[6:8,], 1, function(x) 1-pf((res_U251_E2_Gen_all_CA_SA_slopes_Mixtox$RSS-x[1])/x[1]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1)/(x[2]-7), x[2]-7,dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1)),
                                    apply(res_E2_Gen_a_all[9:11,], 1, function(x) 1-pf((res_U251_E2_Gen_all_CA_SA_slopes_nlm_speed$RSS-x[1])/x[1]* (dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1)/(x[2]-7), x[2]-7,dim(U251_E2_Gen_a_all_geom_mean)[1]-x[2]-1))))
# RSS df     p_anova         p_CA         p_SA
# 1  1.4696875  6 0.005607589 3.982899e-01          NaN
# 2  1.4914665  5 0.006229193          NaN          NaN
# 3  0.9343716  6 0.227007470 1.902691e-06          NaN
# 4  0.9011033  7 0.246504870 5.595847e-06 0.1894059970
# 5  0.7371851  7 0.650290372 4.519746e-08 0.0007910429
# 6  0.9340020  7 0.196515507 1.883421e-05          NaN
# 7  0.9002937  8 0.213886091 3.552732e-05 0.1910656769
# 8  0.7690712  8 0.506902532 9.633952e-07 0.0026459613
# 9  0.9340663  7 0.196427316 1.886537e-05          NaN
# 10 0.8746222  8 0.256502143 1.836471e-05 0.0803412434
# 11 0.7417966  8 0.589004863 4.196825e-07 0.0010599515
# on prend DL, mêmes pentes
write.table(signif(res_E2_Gen_a_all,3), "res_E2_Gen_a_all_min.txt", sep="\t", col.names=NA)


res_ray_U251_E2_Gen_a_all_CA_DL<-lapply(1:5, function(x){
  CA_complete2_Min(C_mat=list_ray_U251_E2_Gen_a[[x]], Min=res_U251_E2_Gen_all_CA_DL$Min, Max=res_U251_E2_Gen_all_CA_DL$Max, Slopes=res_U251_E2_Gen_all_CA_DL$Slopes, Ec50s=rev( ), a=res_U251_E2_Gen_all_CA_DL$a, b=res_U251_E2_Gen_all_CA_DL$b, interact="DL", multicore=FALSE)
})

jpeg("model_CA_DL_U251_E2_Gen_a_all_old_eq.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(list_ray_U251_E2_Gen_a[[1]]$Gen/(EC50_alpha[2]/EC50_alpha[1])+list_ray_U251_E2_Gen_a[[1]]$E2, res_ray_U251_E2_Gen_a_all_CA_DL[[1]], type="l", xlab="Concentration eq E2 (nM)", ylab="log10(fold induction)", log="x", ylim=c(-0.15,1.1) )
points(U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])], log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1]), 5]))
for (i in 2:5){
  points(list_ray_U251_E2_Gen_a[[i]]$Gen/(EC50_alpha[2]/EC50_alpha[1])+list_ray_U251_E2_Gen_a[[i]]$E2, res_ray_U251_E2_Gen_a_all_CA_DL[[i]], type="l",col=i)
  points(U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])], log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i]), 5]), col=i, pch=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()
# ça passe mais c'est bien pourri.

U251_E2_Gen_a_all_geom_mean_mean<-cast(melt(U251_E2_Gen_a_all_geom_mean, id.vars=c(1,2,3,4,6), measure.vars=5), E2+Genistein+Num+pct~., function(x) mean(log10(x)))

jpeg("model_CA_DL_U251_E2_Gen_a_all_old_eq_mean.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(list_ray_U251_E2_Gen_a[[1]]$Gen/(EC50_alpha[2]/EC50_alpha[1])+list_ray_U251_E2_Gen_a[[1]]$E2, res_ray_U251_E2_Gen_a_all_CA_DL[[1]], type="l", xlab="Concentration eq E2 (nM)", ylab="log10(fold induction)", log="x", ylim=c(-0.15,1.1) )
points(U251_E2_Gen_a_all_geom_mean_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean_mean$pct==lev_pct[1])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_all_geom_mean_mean$E2[which(U251_E2_Gen_a_all_geom_mean_mean$pct==lev_pct[1])], (U251_E2_Gen_a_all_geom_mean_mean[which(U251_E2_Gen_a_all_geom_mean_mean$pct==lev_pct[1]), 5]))
for (i in 2:5){
  points(list_ray_U251_E2_Gen_a[[i]]$Gen/(EC50_alpha[2]/EC50_alpha[1])+list_ray_U251_E2_Gen_a[[i]]$E2, res_ray_U251_E2_Gen_a_all_CA_DL[[i]], type="l",col=i)
  points(U251_E2_Gen_a_all_geom_mean_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean_mean$pct==lev_pct[i])]/(EC50_alpha[2]/EC50_alpha[1])+U251_E2_Gen_a_all_geom_mean_mean$E2[which(U251_E2_Gen_a_all_geom_mean_mean$pct==lev_pct[i])], (U251_E2_Gen_a_all_geom_mean_mean[which(U251_E2_Gen_a_all_geom_mean_mean$pct==lev_pct[i]), 5]), col=i, pch=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()


grid_U251_Gen_not_log<-seq(0,100, length=51)
grid_U251_E2_not_log<-seq(0,0.3, length=51)
grid_U251_E2_Gen_not_log<-expand.grid(grid_U251_Gen_not_log, grid_U251_E2_not_log)
grid_U251_E2_Gen_not_log<-grid_U251_E2_Gen_not_log[order(rev(grid_U251_E2_Gen_not_log$Var2)),]

jpeg("U251_E2_Gen_a_all_contour_model_DL.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
contour(x=grid_U251_Gen_not_log, y=grid_U251_E2_not_log, z=matrix(CA_complete2(C_mat=grid_U251_E2_Gen_not_log, Max=res_U251_E2_Gen_all_CA_DL$Max, Slopes=res_U251_E2_Gen_all_CA_DL$Slopes, Ec50s=res_U251_E2_Gen_all_CA_DL$Ec50s, a=res_U251_E2_Gen_all_CA_DL$a, b=res_U251_E2_Gen_all_CA_DL$b, interact="DL")[order(grid_U251_E2_Gen_not_log[,2])], nrow=length(grid_U251_Gen_not_log), ncol=length(grid_U251_E2_not_log), byrow=FALSE), asp=res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2], ylab="E2 (nM)", xlab="Genistéine (nM)")
dev.off()