U251_E2_Gen_b<-read.table("Data_final_E2_Gen_ERb.txt", sep="\t", header=TRUE)  
summary(U251_E2_Gen_b)
U251_E2_Gen_b_DMSO_means<-mean(U251_E2_Gen_b[which((U251_E2_Gen_b$E2==0)&(U251_E2_Gen_b$Genistein==0)),]$intensite)
U251_E2_Gen_b_relative<-data.frame(U251_E2_Gen_b, I=U251_E2_Gen_b$intensite/U251_E2_Gen_b_DMSO_means) 
library(reshape)
U251_E2_Gen_b_geom_mean<-cast(melt(U251_E2_Gen_b_relative, id.vars=c(1,2,3,4), measure.vars=8), E2+Genistein+Num+pct~., function(x) exp(mean(log(x), na.rm=TRUE))) 

U251_E2_Gen_b_exp2<-read.table("Data_E2_Gen_2_ERb.txt", sep="\t", header=TRUE) 
summary(U251_E2_Gen_b_exp2)
U251_E2_Gen_b_exp2_DMSO_means<-mean(U251_E2_Gen_b_exp2[which((U251_E2_Gen_b_exp2$E2==0)&(U251_E2_Gen_b_exp2$Genistein==0)),]$intensite)
U251_E2_Gen_b_exp2_relative<-data.frame(U251_E2_Gen_b_exp2, I=U251_E2_Gen_b_exp2$intensite/U251_E2_Gen_b_exp2_DMSO_means) 
U251_E2_Gen_b_exp2_geom_mean<-cast(melt(U251_E2_Gen_b_exp2_relative, id.vars=c(1,2,3,4), measure.vars=8), E2+Genistein+Num+pct~., function(x) exp(mean(log(x), na.rm=TRUE))) 

U251_E2_Gen_b_exp3<-read.table("Data_final_E2_Gen_ERb2_ter.txt", sep="\t", header=TRUE)  
summary(U251_E2_Gen_b_exp3)
U251_E2_Gen_b_exp3<-U251_E2_Gen_b_exp3[-which(U251_E2_Gen_b_exp3$intensite<100),] # deleted one datapoint
U251_E2_Gen_b_exp3_DMSO_means<-exp(mean(log(U251_E2_Gen_b_exp3[which((U251_E2_Gen_b_exp3$E2==0)&(U251_E2_Gen_b_exp3$Genistein==0)),]$intensite)))
U251_E2_Gen_b_exp3_relative<-data.frame(U251_E2_Gen_b_exp3, I=U251_E2_Gen_b_exp3$intensite/U251_E2_Gen_b_exp3_DMSO_means) 
U251_E2_Gen_b_exp3_geom_mean<-cast(melt(U251_E2_Gen_b_exp3_relative, id.vars=c(1,2,3,4), measure.vars=6), E2+Genistein+Num+pct~., function(x) exp(mean(log(x), na.rm=TRUE))) 

lev_pct<-levels(as.factor(U251_E2_Gen_b_geom_mean$pct))

U251_E2_Gen_b_DMSO_means2<-exp(mean(log(U251_E2_Gen_b[which((U251_E2_Gen_b$E2==0)&(U251_E2_Gen_b$Genistein==0)),]$intensite)))
U251_E2_Gen_b_relative2<-data.frame(U251_E2_Gen_b, I=U251_E2_Gen_b$intensite/U251_E2_Gen_b_DMSO_means2) 
library(reshape)
U251_E2_Gen_b_relative_norm<-U251_E2_Gen_b_relative2
U251_E2_Gen_b_relative_norm$I<-10^(log10(U251_E2_Gen_b_relative_norm$I)/mean(log10(U251_E2_Gen_b_relative$I)[which(U251_E2_Gen_b_relative$E2==20)]))
U251_E2_Gen_b_geom_mean_norm<-cast(melt(U251_E2_Gen_b_relative_norm, id.vars=c(1,2,3,4), measure.vars=8), E2+Genistein+Num+pct~., function(x) exp(mean(log(x), na.rm=TRUE))) 
U251_E2_Gen_b_exp2_DMSO_means2<-exp(mean(log(U251_E2_Gen_b_exp2[which((U251_E2_Gen_b_exp2$E2==0)&(U251_E2_Gen_b_exp2$Genistein==0)),]$intensite)))
U251_E2_Gen_b_exp2_relative2<-data.frame(U251_E2_Gen_b_exp2, I=U251_E2_Gen_b_exp2$intensite/U251_E2_Gen_b_exp2_DMSO_means2) 
U251_E2_Gen_b_exp2_relative_norm<-U251_E2_Gen_b_exp2_relative2
U251_E2_Gen_b_exp2_relative_norm$I<-10^(log10(U251_E2_Gen_b_exp2_relative_norm$I)/mean(log10(U251_E2_Gen_b_exp2_relative$I)[which(U251_E2_Gen_b_exp2_relative$E2==20)]))
U251_E2_Gen_b_exp2_geom_mean_norm<-cast(melt(U251_E2_Gen_b_exp2_relative_norm, id.vars=c(1,2,3,4), measure.vars=8), E2+Genistein+Num+pct~., function(x) exp(mean(log(x), na.rm=TRUE))) 
U251_E2_Gen_b_exp3_relative_norm<-U251_E2_Gen_b_exp3_relative
U251_E2_Gen_b_exp3_relative_norm$I<-10^(log10(U251_E2_Gen_b_exp3_relative_norm$I)/mean(log10(U251_E2_Gen_b_exp3_relative$I)[which(U251_E2_Gen_b_exp3_relative$E2==20)]))
U251_E2_Gen_b_exp3_geom_mean_norm<-cast(melt(U251_E2_Gen_b_exp3_relative_norm, id.vars=c(1,2,3,4), measure.vars=6), E2+Genistein+Num+pct~., function(x) exp(mean(log(x), na.rm=TRUE))) 




U251_E2_Gen_b_all_geom_mean_norm<-rbind(cbind(U251_E2_Gen_b_geom_mean_norm, Exp="Exp1"), cbind(U251_E2_Gen_b_exp2_geom_mean_norm, Exp="Exp2"), cbind(U251_E2_Gen_b_exp3_geom_mean_norm, Exp="Exp3"))
colnames(U251_E2_Gen_b_all_geom_mean_norm)[5]<-"I"
jpeg("data_U251_E2_Gen_b_all_mean_points.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(U251_E2_Gen_b_exp3_geom_mean_norm$Genistein[which(U251_E2_Gen_b_exp3_geom_mean_norm$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_exp3_geom_mean_norm$E2[which(U251_E2_Gen_b_exp3_geom_mean_norm$pct==lev_pct[1])], log10(U251_E2_Gen_b_exp3_geom_mean_norm[which(U251_E2_Gen_b_exp3_geom_mean_norm$pct==lev_pct[1]), 5])*100, log="x", type="b", pch=1, ylab="fold induction (% E2)", xlab="concentration eq E2 (nM)", xlim=c(0.001, 100), ylim=c(-20,120))
for (i in 2:5)
  lines(U251_E2_Gen_b_exp3_geom_mean_norm$Genistein[which(U251_E2_Gen_b_exp3_geom_mean_norm$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_exp3_geom_mean_norm$E2[which(U251_E2_Gen_b_exp3_geom_mean_norm$pct==lev_pct[i])], log10(U251_E2_Gen_b_exp3_geom_mean_norm[which(U251_E2_Gen_b_exp3_geom_mean_norm$pct==lev_pct[i]), 5])*100, type="b", pch=1, col=i)
points(U251_E2_Gen_b_exp2_geom_mean_norm$Genistein[which(U251_E2_Gen_b_exp2_geom_mean_norm$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_exp2_geom_mean_norm$E2[which(U251_E2_Gen_b_exp2_geom_mean_norm$pct==lev_pct[1])], log10(U251_E2_Gen_b_exp2_geom_mean_norm[which(U251_E2_Gen_b_exp2_geom_mean_norm$pct==lev_pct[1]), 5])*100, type="b", pch=4)
for (i in 2:5)
  lines(U251_E2_Gen_b_exp2_geom_mean_norm$Genistein[which(U251_E2_Gen_b_exp2_geom_mean_norm$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_exp2_geom_mean_norm$E2[which(U251_E2_Gen_b_exp2_geom_mean_norm$pct==lev_pct[i])], log10(U251_E2_Gen_b_exp2_geom_mean_norm[which(U251_E2_Gen_b_exp2_geom_mean_norm$pct==lev_pct[i]), 5])*100, type="b", pch=4, col=i)
points(U251_E2_Gen_b_geom_mean_norm$Genistein[which(U251_E2_Gen_b_geom_mean_norm$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_geom_mean_norm$E2[which(U251_E2_Gen_b_geom_mean_norm$pct==lev_pct[1])], log10(U251_E2_Gen_b_geom_mean_norm[which(U251_E2_Gen_b_geom_mean_norm$pct==lev_pct[1]), 5])*100, type="b", pch=3)
for (i in 2:5)
  lines(U251_E2_Gen_b_geom_mean_norm$Genistein[which(U251_E2_Gen_b_geom_mean_norm$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_geom_mean_norm$E2[which(U251_E2_Gen_b_geom_mean_norm$pct==lev_pct[i])], log10(U251_E2_Gen_b_geom_mean_norm[which(U251_E2_Gen_b_geom_mean_norm$pct==lev_pct[i]), 5])*100, type="b", pch=3, col=i)
legend("bottomright", col=c(1:5,1,1,1), lty=c(1:5,0,0,0), lwd=c(rep(1,5),0,0), pch=c(rep(".",5),"+","x","o"), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen", "Exp1", "Exp2", "Exp3"), ncol=1)
dev.off()


res_U251_E2_b_all<-drm(log10(I)~E2, fct=LL.4(), data=U251_E2_Gen_b_all_geom_mean_norm, subset=which(U251_E2_Gen_b_all_geom_mean_norm$Genistein==0))
modelFit(res_U251_E2_b_all) #  0.4813
plot(res_U251_E2_b_all, type="all", broken=TRUE)
# b:(Intercept)  c:(Intercept)  d:(Intercept)  e:(Intercept)  
# -0.83716       -0.01754        0.97768        0.01611  
res_U251_Gen_b_all<-drm(log10(I)~Genistein, fct=LL.4(), data=U251_E2_Gen_b_all_geom_mean_norm, subset=which(U251_E2_Gen_b_all_geom_mean_norm$E2==0))
modelFit(res_U251_Gen_b_all) #   0.9922 passe bien 
plot(res_U251_Gen_b_all, type="all", broken=TRUE)
# b:(Intercept)  c:(Intercept)  d:(Intercept)  e:(Intercept)  
# -0.561270      -0.003329       1.019204       4.075761  
U251_E2_ERbeta2.log.Hill4 # facteur 7
0.01686/1.256e-07*1e-06 #  0.1342357
U251_Gen_ERbeta2.log.Hill4 # OK
4.1272  / 2.573e-06  *1e-06 #1.604042

# si j'optimise un max commun.
common_max_U251_E2_Gen_b_all<-optimize(function(x) sum(drm(log10(I)~E2, data = U251_E2_Gen_b_all_geom_mean_norm, fct = LL.3(fixed = c(NA,  x, NA)), subset=which(U251_E2_Gen_b_all_geom_mean_norm$Genistein==0))$fit$value, drm(log10(I)~Genistein, data = U251_E2_Gen_b_all_geom_mean_norm, fct = LL.3(fixed = c(NA, x, NA)), subset=which(U251_E2_Gen_b_all_geom_mean_norm$E2==0))$fit$value), interval=c(0.5,1.5),maximum=FALSE) 
# $minimum
# [1] 0.9933723
# 
# $objective
# [1] 0.4849215

res_U251_E2_Max_b_all<-drm(log10(I)~E2, fct=LL.3(fixed=c(NA, common_max_U251_E2_Gen_b_all$minimum, NA)), data=U251_E2_Gen_b_all_geom_mean_norm, subset=which(U251_E2_Gen_b_all_geom_mean_norm$Genistein==0))
modelFit(res_U251_E2_Max_b_all) #   0.5604
anova(res_U251_E2_b_all, res_U251_E2_Max_b_all) #  0.5352 Max OK
res_U251_Gen_Max_b_all<-drm(log10(I)~Genistein, fct=LL.3(fixed=c(NA, common_max_U251_E2_Gen_b_all$minimum, NA)), data=U251_E2_Gen_b_all_geom_mean_norm, subset=which(U251_E2_Gen_b_all_geom_mean_norm$E2==0))
modelFit(res_U251_Gen_Max_b_all) #   0.9962 OK.
anova(res_U251_Gen_b_all, res_U251_Gen_Max_b_all) # 0.7361 OK

common_slope_U251_E2_Gen_b_all<-optimize(function(x) sum(drm(log10(I)~E2, data = U251_E2_Gen_b_all_geom_mean_norm, fct = LL.3(fixed = c(x,  common_max_U251_E2_Gen_b_all$minimum, NA)), subset=which(U251_E2_Gen_b_all_geom_mean_norm$Genistein==0))$fit$value, drm(log10(I)~Genistein, data = U251_E2_Gen_b_all_geom_mean_norm, fct = LL.3(fixed = c(x, common_max_U251_E2_Gen_b_all$minimum, NA)), subset=which(U251_E2_Gen_b_all_geom_mean_norm$E2==0))$fit$value), interval=c(-1.5,-0.3),maximum=FALSE) 
# $minimum
# [1] -0.6899789
# 
# $objective
# [1] 0.4998157
res_U251_E2_slope_Max_b_all<-drm(log10(I)~E2, fct=LL.3(fixed=c(common_slope_U251_E2_Gen_b_all$minimum, common_max_U251_E2_Gen_b_all$minimum, NA)), data=U251_E2_Gen_b_all_geom_mean_norm, subset=which(U251_E2_Gen_b_all_geom_mean_norm$Genistein==0))
modelFit(res_U251_E2_slope_Max_b_all) #  0.4921
anova(res_U251_E2_Max_b_all, res_U251_E2_slope_Max_b_all) # 0.2053 Slope OK
res_U251_Gen_slope_Max_b_all<-drm(log10(I)~Genistein, fct=LL.3(fixed=c(common_slope_U251_E2_Gen_b_all$minimum, common_max_U251_E2_Gen_b_all$minimum, NA)), data=U251_E2_Gen_b_all_geom_mean_norm, subset=which(U251_E2_Gen_b_all_geom_mean_norm$E2==0))
modelFit(res_U251_Gen_slope_Max_b_all) #   0.9954 OK.
anova(res_U251_Gen_Max_b_all, res_U251_Gen_slope_Max_b_all) # 0.5703 Slope OK

common_slope_Min_Max_U251_E2_Gen_b_all<-optim(par=c(-0.6, 0,1), function(x) sum(drm(log10(I)~E2, data = U251_E2_Gen_b_all_geom_mean_norm, fct = LL.4(fixed = c(x[1],  x[2], x[3], NA)), subset=which(U251_E2_Gen_b_all_geom_mean_norm$Genistein==0))$fit$value, drm(log10(I)~Genistein, data = U251_E2_Gen_b_all_geom_mean_norm, fct = LL.4(fixed = c(x[1],  x[2], x[3], NA)), subset=which(U251_E2_Gen_b_all_geom_mean_norm$E2==0))$fit$value)) 
# $par
# [1] -0.67451591 -0.01037012  0.99707523
# 
# $value
# [1] 0.4990387
res_U251_E2_slope_Max2_b_all<-drm(log10(I)~E2, fct=LL.4(fixed=c(common_slope_Min_Max_U251_E2_Gen_b_all$par, NA)), data=U251_E2_Gen_b_all_geom_mean_norm, subset=which(U251_E2_Gen_b_all_geom_mean_norm$Genistein==0))
modelFit(res_U251_E2_slope_Max2_b_all) # 0.4814
anova(res_U251_E2_b_all, res_U251_E2_slope_Max2_b_all) # 0.3578 OK
res_U251_Gen_slope_Max2_b_all<-drm(log10(I)~Genistein, fct=LL.4(fixed=c(common_slope_Min_Max_U251_E2_Gen_b_all$par, NA)), data=U251_E2_Gen_b_all_geom_mean_norm, subset=which(U251_E2_Gen_b_all_geom_mean_norm$E2==0))
modelFit(res_U251_Gen_slope_Max2_b_all) #   0.9958 OK.
anova(res_U251_Gen_b_all, res_U251_Gen_slope_Max2_b_all) # 0.8174 OK.





# first let's use isobologram.
U251_E2_Gen_b_all_geom_mean_norm_dose<-data.frame(U251_E2_Gen_b_all_geom_mean_norm, dose=U251_E2_Gen_b_all_geom_mean_norm$E2+ U251_E2_Gen_b_all_geom_mean_norm$Genistein)
U251_E2_Gen_b_all_geom_mean_norm_dose$pct[which(U251_E2_Gen_b_all_geom_mean_norm_dose$pct!=999)]<-signif(U251_E2_Gen_b_all_geom_mean_norm$Genistein/(U251_E2_Gen_b_all_geom_mean_norm$E2+U251_E2_Gen_b_all_geom_mean_norm$Genistein)*100, digits=4)[which(U251_E2_Gen_b_all_geom_mean_norm_dose$pct!=999)]

res_U251_E2_Gen_b_all_mixture_EC_fixed<-drm(log10(I) ~ dose, pct, data = U251_E2_Gen_b_all_geom_mean_norm_dose, fct = LL.4(fixed=c(common_slope_Min_Max_U251_E2_Gen_b_all$par, NA)), pmodels = list(~factor(pct) - 1))  
#isobole(res_U251_E2_Gen_b_all_mixture_EC_fixed)  
res_U251_E2_Gen_b_all_mixture_EC<-drm(log10(I) ~ dose, pct, data = U251_E2_Gen_b_all_geom_mean_norm_dose, fct = LL.4(), pmodels = list(~1,~1, ~1,~factor(pct) - 1))  
modelFit(res_U251_E2_Gen_b_all_mixture_EC) # 0.9673  ça passe! c'est grâce à cette superbe variabilité intermanip.

jpeg("U251_E2_Gen_b_all_isobole_EC.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_U251_E2_Gen_b_all_mixture_EC, xlim=c(0,60), ylim=c(0,60/(res_U251_E2_Gen_b_all_mixture_EC$coefficients[4]/res_U251_E2_Gen_b_all_mixture_EC$coefficients[8])), ylab="E2 (nM)", xlab="Genistein (nM)") #antagonisme but not very regular.  
dev.off()
# rayons très bien répartis, on a de la chance


res_U251_E2_Gen_b_all_mixture_EC_Slopes<-drm(log10(I) ~ dose, pct, data = U251_E2_Gen_b_all_geom_mean_norm_dose, fct = LL.4(), pmodels = list(~factor(pct) - 1, ~1, ~1,~factor(pct) - 1))  
# b:100        b:99.83         b:99.5        b:98.52            b:0  c:(Intercept)  d:(Intercept)          e:100        e:99.83         e:99.5        e:98.52  
# -0.55687       -1.13851       -1.26823       -0.82736       -0.72106        0.01072        1.02675        4.50774       38.67738       19.48136        3.79770  
# e:0  
# 0.02206  
#isobole(res_U251_E2_Gen_b_all_mixture_EC_Slopes)
# pente plus forte sur les mélanges
modelFit(res_U251_E2_Gen_b_all_mixture_EC_Slopes) # 0.9992 OK
anova(res_U251_E2_Gen_b_all_mixture_EC_Slopes, res_U251_E2_Gen_b_all_mixture_EC) # 0.1255 même pente convient

jpeg("U251_E2_Gen_b_all_isobole_EC_Slopes.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_U251_E2_Gen_b_all_mixture_EC_Slopes, xlim=c(0,60), ylim=c(0,60/(res_U251_E2_Gen_b_all_mixture_EC_Slopes$coefficients[7]/res_U251_E2_Gen_b_all_mixture_EC_Slopes$coefficients[11])), ylab="E2 (nM)", xlab="Genistein (nM)") #antagonisme but not very regular.  
dev.off() # quasi pas de différence.

res_ray_U251_E2_Gen_b_all<-lapply(1:5, function(x){
  hill(c(res_U251_E2_Gen_b_all_mixture_EC$coefficients[2], res_U251_E2_Gen_b_all_mixture_EC$coefficients[3], -res_U251_E2_Gen_b_all_mixture_EC$coefficients[1], res_U251_E2_Gen_b_all_mixture_EC$coefficients[c(8:4)[x]]), conc=list_ray_U251_E2_Gen_a[[x]][,1]+list_ray_U251_E2_Gen_a[[x]][,2])
})

jpeg("model_EC_U251_E2_Gen_b_all_old_eq.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(list_ray_U251_E2_Gen_a[[1]]$Gen/(EC50_beta2[2]/EC50_beta2[1])+list_ray_U251_E2_Gen_a[[1]]$E2, res_ray_U251_E2_Gen_b_all[[1]]*100, type="l", xlab="Concentration eq E2 (nM)", ylab="log fold induction (%E2)", log="x", ylim=c(-25,120)) 
points(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1]), 5])*100)
for (i in 2:5){
  points(list_ray_U251_E2_Gen_a[[i]]$Gen/(EC50_beta2[2]/EC50_beta2[1])+list_ray_U251_E2_Gen_a[[i]]$E2, res_ray_U251_E2_Gen_b_all[[i]]*100, type="l",col=i, lty=i)
  points(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i]), 5])*100, col=i, pch=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()

res_ray_U251_E2_Gen_b_all_EC_Slopes<-lapply(1:5, function(x){
  hill(c(res_U251_E2_Gen_b_all_mixture_EC_Slopes$coefficients[6], res_U251_E2_Gen_b_all_mixture_EC_Slopes$coefficients[7], -res_U251_E2_Gen_b_all_mixture_EC_Slopes$coefficients[c(5:1)[x]], res_U251_E2_Gen_b_all_mixture_EC_Slopes$coefficients[c(12:8)[x]]), conc=list_ray_U251_E2_Gen_a[[x]][,1]+list_ray_U251_E2_Gen_a[[x]][,2])
})


jpeg("model_EC_Slopes_U251_E2_Gen_b_all_old_eq.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(list_ray_U251_E2_Gen_a[[1]]$Gen/(EC50_beta2[2]/EC50_beta2[1])+list_ray_U251_E2_Gen_a[[1]]$E2, res_ray_U251_E2_Gen_b_all_EC_Slopes[[1]]*100, type="l", xlab="Concentration eq E2 (nM)", ylab="log fold induction (%E2)", log="x", ylim=c(-25,120)) 
points(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1]), 5])*100)
for (i in 2:5){
  points(list_ray_U251_E2_Gen_a[[i]]$Gen/(EC50_beta2[2]/EC50_beta2[1])+list_ray_U251_E2_Gen_a[[i]]$E2, res_ray_U251_E2_Gen_b_all_EC_Slopes[[i]]*100, type="l",col=i, lty=i)
  points(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i]), 5])*100, col=i, pch=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()



res_U251_E2_Gen_b_all_Anova<-aov(log10(I)~as.factor(paste(U251_E2_Gen_b_all_geom_mean_norm[,2], U251_E2_Gen_b_all_geom_mean_norm[,1])), data=U251_E2_Gen_b_all_geom_mean_norm) # 1.13489
res_U251_E2_Gen_b_all_CA<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.2,-0.2, 100, 0.6), lower=c(-0.3, 0.8, -1, 1, 0.01), start=c(0, 1.1, -0.6, 5, 0.05), identical_slopes=TRUE, interact="none") # 2.207122
res_U251_E2_Gen_b_all_CA_SA<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.2,-0.3, 20, 0.1,20), lower=c(-0.3, 0.8, -1, 1, 0.005,0), start=c(0, 1.1, -0.6, 2, 0.05,1), identical_slopes=TRUE, interact="SA") # 1.363598
res_U251_E2_Gen_b_all_CA_DR<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.2,-0.3, 20, 0.1,10,20), lower=c(-0.3, 1, -1, 1, 0.005,-10,-10), start=c(0, 1.1, -0.6, 5, 0.05,2,2), identical_slopes=TRUE, interact="DR") #  1.346109
res_U251_E2_Gen_b_all_CA_DL<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.2,-0.5, 20, 0.1,30,1), lower=c(-0.3, 1, -0.9, 1, 0.005,0,0), start=c(0, 1.1, -0.7, 5, 0.02,10,0.01), identical_slopes=TRUE, interact="DL") # 1


1-pf((res_U251_E2_Gen_b_all_CA$RSS-summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1)/(28-5), 28-5,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1) # 0.009301988 on accepte Anova (pas CA)
1-pf((res_U251_E2_Gen_b_all_CA_SA$RSS-summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1)/(28-6), 28-6,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1) #  #  0.9815873 on accepte SA
1-pf((res_U251_E2_Gen_b_all_CA_DR$RSS-summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1)/(28-7), 28-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1) #  #    0.9855022 on accepte DR
1-pf((res_U251_E2_Gen_b_all_CA_DL$RSS-summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1)/(28-7), 28-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1) #  # 0.99002 on accepte  DL

1-pf((res_U251_E2_Gen_b_all_CA$RSS-res_U251_E2_Gen_b_all_CA_SA$RSS)/res_U251_E2_Gen_b_all_CA_SA$RSS*(dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-6), 6-5, dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-6) #   9.977035e-10 SA  mieux que CA, 
1-pf((res_U251_E2_Gen_b_all_CA$RSS-res_U251_E2_Gen_b_all_CA_DR$RSS)/res_U251_E2_Gen_b_all_CA_DR$RSS/2*(dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-7), 7-5, dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-7) #   5.39855e-09 DR mieux que CA,
1-pf((res_U251_E2_Gen_b_all_CA$RSS-res_U251_E2_Gen_b_all_CA_DL$RSS)/res_U251_E2_Gen_b_all_CA_DL$RSS/2*(dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-7), 7-5, dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-7) #    2.232558e-09DL mieux que CA, 

1-pf((res_U251_E2_Gen_b_all_CA_SA$RSS-res_U251_E2_Gen_b_all_CA_DL$RSS)/res_U251_E2_Gen_b_all_CA_DL$RSS/1*(dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-7), 7-6, dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-7) #  0.01691874 DL mieux que SA au seuil 5%, 


1-pf((res_U251_E2_Gen_b_all_CA_SA$RSS-res_U251_E2_Gen_b_all_mixture_EC$fit$value)/res_U251_E2_Gen_b_all_mixture_EC$fit$value/(8-6)*(dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-8), 8-6, dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-8) #   0.599355 EC libre par rayon pas  mieux que SA, 
1-pf((res_U251_E2_Gen_b_all_mixture_EC$fit$value-summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2]/(28-8)*(dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-28), 28-8, dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-1-28) #   0.9801178 Anova pas mieux que EC libre par rayon  # je n'arrive pas à retrouver la valeur calculée par modelFit

# for comparison with MixTox
res_U251_E2_Gen_b_all_CA_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.2,-0.3,-0.3, 100, 0.6), lower=c(-0.3,0.8, -1.1, -1.1, 5, 0.01), start=c(0, 0.9, -0.6, -0.6, 20, 0.05), identical_slopes=FALSE, interact="none") #[1] 2.199109
res_U251_E2_Gen_b_all_CA_SA_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.2,-0.3,-0.3, 50, 0.6,20), lower=c(-0.3, 0.8, -1.1, -1.1, 2, 0.01,0), start=c(0, 1, -1, -1, 20, 0.05,1), identical_slopes=FALSE, interact="SA")
# $RSS 1.340875
res_U251_E2_Gen_b_all_CA_DR_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.2,-0.3,-0.3, 50, 0.5,10,20), lower=c(-0.3,1, -1.1, -1.3, 2, 0.005,-3,0), start=c(0,1.1, -0.6, -0.6, 20, 0.05,0,5), identical_slopes=FALSE, interact="DR", multicore=FALSE) #  1.33745
#res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.05, 1.2,-0.3,-0.3, 50, 0.5,30,1), lower=c(-0.05,1, -1.1, -1.1, 2, 0.005,5,-2), start=c(0,1.1, -0.6, -0.6, 20, 0.05,7,0.5), identical_slopes=FALSE, interact="DL", multicore=FALSE, iter=250) # 1.241512
res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox_nomin<-CA_complete2_fit_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(1.2,-0.3,-0.3, 50, 0.5,30,1), lower=c(1, -1.1, -1.1, 2, 0.005,5,-2), start=c(1.1, -0.6, -0.6, 20, 0.05,7,0.5), identical_slopes=FALSE, interact="DL", multicore=FALSE, iter=500)
res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox<-CA_complete2_fit_Min_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.02, 1.05,-0.55,-0.6, 10, 0.1,15,0.05), lower=c(-0.02,0.95, -0.65, -0.8, 3, 0.005,12,0), start=c(-0.01,unlist(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox_nomin)[1:7]), identical_slopes=FALSE, interact="DL", multicore=FALSE) # 1.234208

# end of comparison with MixTox
1-pf((res_U251_E2_Gen_b_all_CA_DL$RSS-res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$RSS)/res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1)/(8-7), 8-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1) #   0.1811968
1-pf((res_U251_E2_Gen_b_all_CA_SA_slopes_Mixtox$RSS-res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$RSS)/res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1)/(8-7), 8-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1) #   0.01300863 DL mieux que SA


res_U251_E2_Gen_b_all_CA_SA_slopes_nlm_speed<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3,1.1,-0.4,-0.3, 50, 0.1,20), lower=c(-0.3,0.9, -1, -1, 2, 0.005,5), start=c(0,1, -0.8, -0.8, 5, 0.01,6), identical_slopes=FALSE, interact="SA", multicore=FALSE, DEoptim=FALSE)# environ 3min 
# $RSS 1.359155
1-pf((res_U251_E2_Gen_b_all_CA_SA_slopes_nlm_speed$RSS-summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1)/(28-7), 28-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1) #  # 0.9644042 on accepte SA avec pentes différentes
1-pf((res_U251_E2_Gen_b_all_CA_SA$RSS-res_U251_E2_Gen_b_all_CA_SA_slopes_nlm_speed$RSS)/res_U251_E2_Gen_b_all_CA_SA_slopes_nlm_speed$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-7-1)/(7-6), 7-6,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-7-1) #  0.6173188 pas d'intérêt à la différence de pente 

res_U251_E2_Gen_b_all_CA_DR_slopes_nlm_speed<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.1,-0.5,-0.5, 20, 0.05,20,20), lower=c(-0.3, 0.9, -1, -1.3, 2, 0.005,-5,-5), start=c(0, 1, -0.8, -0.8, 10, 0.01,0,0), identical_slopes=FALSE, interact="DR", multicore=FALSE, DEoptim=FALSE)# environ 3min 
# $RSS 1.348116 # ne vaut pas le coup 
1-pf((res_U251_E2_Gen_b_all_CA_DR$RSS-res_U251_E2_Gen_b_all_CA_DR_slopes_nlm_speed$RSS)/res_U251_E2_Gen_b_all_CA_DR_slopes_nlm_speed$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1)/(8-7), 8-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1) # 1 la différence de pente ne vaut pas le coup


res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=U251_E2_Gen_b_all_geom_mean_norm[,2:1], Response=log10(U251_E2_Gen_b_all_geom_mean_norm$I), upper=c(0.3, 1.1,-0.45,-0.45, 20, 0.1,20,1), lower=c(-0.3, 1, -0.65, -0.75, 2, 0.005,-1,-1), start=c(0, 1.05, -0.5, -0.5, 10, 0.01,15,0), identical_slopes=FALSE, interact="DL", multicore=FALSE, DEoptim=FALSE)#  je force à prendre des param proches de res_U251_E2_Gen_CA_DL 
# $RSS 1.315588
# c'est pas mal, mais moins bien que Mixtox et il faut aider un peu l'algorithme

1-pf((res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2$RSS-summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1)/(28-8), 28-8,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1) #  # 0.9985953 on accepte DL avec pentes différentes
1-pf((res_U251_E2_Gen_b_all_CA_DL$RSS-res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2$RSS)/res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1)/(8-7), 8-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1) #   1 différence de pente ne vaut pas le coup
1-pf((res_U251_E2_Gen_b_all_CA_DL$RSS-res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$RSS)/res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1)/(8-7), 8-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1) #   0.1811968 différence de pente ne vaut pas le coup
1-pf((res_U251_E2_Gen_b_all_CA$RSS-res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2$RSS)/res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1)/(8-5), 8-5,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1) #2.789085e-09 bien mieux que CA
1-pf((res_U251_E2_Gen_b_all_CA_slopes_Mixtox$RSS-res_U251_E2_Gen_CA_DL_slopes_nlm_speed2$RSS)/res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1)/(8-6), 8-6,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1) #2.9875e-13 bien mieux que CA pentes différentes
1-pf((res_U251_E2_Gen_b_all_CA_SA_slopes_nlm_speed$RSS-res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2$RSS)/res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2$RSS* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1)/(8-7), 8-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-8-1) #  0.02170835  mieux que SA pentes inégales


res_E2_Gen_b_all<-data.frame(RSS=unlist(lapply(list(res_U251_E2_Gen_b_all_CA_slopes_Mixtox, res_U251_E2_Gen_b_all_CA, res_U251_E2_Gen_b_all_CA_SA, res_U251_E2_Gen_b_all_CA_DR, res_U251_E2_Gen_b_all_CA_DL,
                                                    res_U251_E2_Gen_b_all_CA_SA_slopes_Mixtox, res_U251_E2_Gen_b_all_CA_DR_slopes_Mixtox, res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox,
                                                    res_U251_E2_Gen_b_all_CA_SA_slopes_nlm_speed, res_U251_E2_Gen_b_all_CA_DR_slopes_nlm_speed, res_U251_E2_Gen_b_all_CA_DL_slopes_nlm_speed2), function(x) x$RSS)), 
                             df=c(5,4,5,6,6,6,7,7,6,7,7)+1)
res_E2_Gen_b_all<-data.frame(res_E2_Gen_b_all, 
                             p_anova=apply(res_E2_Gen_b_all, 1, function(x) 1-pf((x[1]-summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2])/summary(res_U251_E2_Gen_b_all_Anova)[[1]][2,2]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1)/(28-x[2]), 28-x[2],dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-28-1)), 
                             p_CA=c(apply(res_E2_Gen_b_all[1:5,], 1, function(x) 1-pf((res_U251_E2_Gen_b_all_CA$RSS-x[1])/x[1]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1)/(x[2]-5), x[2]-5,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1)), 
                                    apply(res_E2_Gen_b_all[6:11,], 1, function(x) 1-pf((res_U251_E2_Gen_b_all_CA_slopes_Mixtox$RSS-x[1])/x[1]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1)/(x[2]-5), x[2]-5,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1))),
                             p_SA=c(apply(res_E2_Gen_b_all[1:5,], 1, function(x) 1-pf((res_U251_E2_Gen_b_all_CA_SA$RSS-x[1])/x[1]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1)/(x[2]-6), x[2]-6,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1)),
                                    apply(res_E2_Gen_b_all[6:8,], 1, function(x) 1-pf((res_U251_E2_Gen_b_all_CA_SA_slopes_Mixtox$RSS-x[1])/x[1]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1)/(x[2]-7), x[2]-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1)),
                                    apply(res_E2_Gen_b_all[9:11,], 1, function(x) 1-pf((res_U251_E2_Gen_b_all_CA_SA_slopes_nlm_speed$RSS-x[1])/x[1]* (dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1)/(x[2]-7), x[2]-7,dim(U251_E2_Gen_b_all_geom_mean_norm)[1]-x[2]-1))))                             
#     RSS df p_anova     p_CA    p_SA
# 1  2.20  6 0.00555 6.03e-01     NaN
# 2  2.21  5 0.00703      NaN     NaN
# 3  1.36  6 0.96100 1.28e-09     NaN
# 4  1.35  7 0.96400 6.97e-09 0.32600
# 5  1.24  7 1.00000 3.45e-10 0.00844
# 6  1.34  7 0.96900 6.85e-09     NaN
# 7  1.33  8 0.96200 3.26e-08 0.54800
# 8  1.23  8 1.00000 1.85e-09 0.01300
# 9  1.36  7 0.95100 1.14e-08     NaN
# 10 1.34  8 0.95500 4.01e-08 0.33100
# 11 1.27  8 0.99700 4.74e-09 0.02170
# soit SA pentes égales, soit DL pentes inégales, modèle Mixtox. DL un petit peu moins marqué que pour récepteur alpha.
write.table(signif(res_E2_Gen_b_all,3), "res_E2_Gen_b_all_min.txt", sep="\t", col.names=NA)

list_res_ray_U251_SA_b_all<-lapply(list_ray_U251_E2_Gen_a, function(x) CA_complete2_Min(C_mat=x, Min=res_U251_E2_Gen_b_all_CA_SA$Min, Max=res_U251_E2_Gen_b_all_CA_SA$Max, Slopes=c(res_U251_E2_Gen_b_all_CA_SA$Slopes[1], res_U251_E2_Gen_b_all_CA_SA$Slopes[2]), Ec50s=c(res_U251_E2_Gen_b_all_CA_SA$Ec50s[2], res_U251_E2_Gen_b_all_CA_SA$Ec50s[1]), a=res_U251_E2_Gen_b_all_CA_SA$a, interact="SA"))

jpeg("U251_E2_Gen_b_all_relative_model_SA.jpg", width=8, height=6, unit="cm", pointsize=8, res=300)
par(mar=c(3,3,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(1.8,0.8,0))
plot(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1]), 5])*100, log="x",  pch=1, ylab="log10 fold induction (%E2)", xlab="concentration eq E2 (nM)", xlim=c(0.0001, 100), ylim=c(-25,120))
points(list_ray_U251[[1]][,1]+list_ray_U251[[1]][,2]/EC50_beta2[2]*EC50_beta2[1], list_res_ray_U251_SA_b_all[[1]]*100, type="l", lwd=2)
#for (i in 2:(length(U251_E2_Gen_b_exp2_geom_mean$pct)-1)){}
for (i in 2:5){
  points(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i]), 5])*100, pch=i, col=i)
  points(list_ray_U251[[i]][,1]+list_ray_U251[[i]][,2]/EC50_beta2[2]*EC50_beta2[1], list_res_ray_U251_SA_b_all[[i]]*100, type="l", lwd=2, col=i, lty=i)
}
abline(h=0)
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()

U251_E2_Gen_b_all_geom_mean_norm_mean<-cast(melt(U251_E2_Gen_b_all_geom_mean_norm, id.vars=c(1,2,3,4,6), measure.vars=5), E2+Genistein+Num+pct~., function(x) mean(log10(x)))
jpeg("U251_E2_Gen_b_all_relative_model_SA_mean.jpg", width=8, height=6, unit="cm", pointsize=8, res=300)
par(mar=c(3,3,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(1.8,0.8,0))
plot(U251_E2_Gen_b_all_geom_mean_norm_mean$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm_mean$E2[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[1])], (U251_E2_Gen_b_all_geom_mean_norm_mean[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[1]), 5])*100, log="x",  pch=1, ylab="log fold induction (%E2)", xlab="concentration eq E2 (nM)", xlim=c(0.0001, 100), ylim=c(-25,120))
points(list_ray_U251[[1]][,1]+list_ray_U251[[1]][,2]/EC50_beta2[2]*EC50_beta2[1], list_res_ray_U251_SA_b_all[[1]]*100, type="l", lwd=2)
#for (i in 2:(length(U251_E2_Gen_b_exp2_geom_mean$pct)-1)){}
for (i in 2:5){
  points(U251_E2_Gen_b_all_geom_mean_norm_mean$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm_mean$E2[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[i])], (U251_E2_Gen_b_all_geom_mean_norm_mean[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[i]), 5])*100, pch=i, col=i)
  points(list_ray_U251[[i]][,1]+list_ray_U251[[i]][,2]/EC50_beta2[2]*EC50_beta2[1], list_res_ray_U251_SA_b_all[[i]]*100, type="l", lwd=2, col=i, lty=i)
}
abline(h=0)
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()


list_res_ray_U251_DL_slopes_b_all<-lapply(list_ray_U251_E2_Gen_a, function(x) CA_complete2_Min(C_mat=x, Min=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Min, Max=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Max, Slopes=c(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Slopes[1], res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Slopes[2]), Ec50s=c(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[2], res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[1]), a=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$a, b=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$b, interact="DL"))
#pred_U251_DL_slopes_b_all<- CA_complete2_modified_nlm(C_mat=U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==75),1:2], Max=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Max, Slopes=c(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Slopes[1], res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Slopes[2]), Ec50s=c(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[2], res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[1]), a=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$a, b=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$b, interact="DL")
list_res_ray_U251_DL_b_all<-lapply(list_ray_U251_E2_Gen_a, function(x) CA_complete2_Min(C_mat=x, Min=res_U251_E2_Gen_b_all_CA_DL$Min, Max=res_U251_E2_Gen_b_all_CA_DL$Max, Slopes=c(res_U251_E2_Gen_b_all_CA_DL$Slopes[1], res_U251_E2_Gen_b_all_CA_DL$Slopes[2]), Ec50s=c(res_U251_E2_Gen_b_all_CA_DL$Ec50s[2], res_U251_E2_Gen_b_all_CA_DL$Ec50s[1]), a=res_U251_E2_Gen_b_all_CA_DL$a, b=res_U251_E2_Gen_b_all_CA_DL$b, interact="DL"))


jpeg("U251_E2_Gen_b_all_relative_model_DL_slopes.jpg", width=8, height=6, unit="cm", pointsize=8, res=300)
par(mar=c(3,3,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(1.8,0.8,0))
plot(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1]), 5])*100, log="x",  pch=1, ylab="log10 fold induction (%E2)", xlab="concentration eq E2 (nM)", xlim=c(0.0001, 100), ylim=c(-10,110))
points(list_ray_U251[[1]][,1]+list_ray_U251[[1]][,2]/EC50_beta2[2]*EC50_beta2[1], list_res_ray_U251_DL_slopes_b_all[[1]]*100, type="l", lwd=2)
#for (i in 2:(length(U251_E2_Gen_b_exp2_geom_mean$pct)-1)){}
for (i in 2:5){
  points(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i]), 5])*100, pch=i, col=i)
  points(list_ray_U251[[i]][,1]+list_ray_U251[[i]][,2]/EC50_beta2[2]*EC50_beta2[1], list_res_ray_U251_DL_slopes_b_all[[i]]*100, type="l", lwd=2, col=i, lty=i)
}
abline(h=0)
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()

jpeg("U251_E2_Gen_b_all_relative_model_DL_slopes_mean.jpg", width=8, height=6, unit="cm", pointsize=8, res=300)
par(mar=c(3,3,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(1.8,0.8,0))
plot(U251_E2_Gen_b_all_geom_mean_norm_mean$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[1])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm_mean$E2[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[1])], (U251_E2_Gen_b_all_geom_mean_norm_mean[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[1]), 5])*100, log="x",  pch=1, ylab="log fold induction (%E2)", xlab="concentration eq E2 (nM)", xlim=c(0.0001, 100), ylim=c(-10,110))
points(list_ray_U251[[1]][,1]+list_ray_U251[[1]][,2]/EC50_beta2[2]*EC50_beta2[1], list_res_ray_U251_DL_slopes_b_all[[1]]*100, type="l", lwd=2)
#for (i in 2:(length(U251_E2_Gen_b_exp2_geom_mean$pct)-1)){}
for (i in 2:5){
  points(U251_E2_Gen_b_all_geom_mean_norm_mean$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[i])]/(EC50_beta2[2]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm_mean$E2[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[i])], (U251_E2_Gen_b_all_geom_mean_norm_mean[which(U251_E2_Gen_b_all_geom_mean_norm_mean$pct==lev_pct[i]), 5])*100, pch=i, col=i)
  points(list_ray_U251[[i]][,1]+list_ray_U251[[i]][,2]/EC50_beta2[2]*EC50_beta2[1], list_res_ray_U251_DL_slopes_b_all[[i]]*100, type="l", lwd=2, col=i, lty=i)
}
abline(h=0)
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()

grid_U251_Gen_not_log<-seq(0,50, length=51)
grid_U251_E2_not_log<-seq(0,0.15, length=51)
grid_U251_E2_Gen_not_log<-expand.grid(grid_U251_Gen_not_log, grid_U251_E2_not_log)
grid_U251_E2_Gen_not_log<-grid_U251_E2_Gen_not_log[order(rev(grid_U251_E2_Gen_not_log$Var2)),]

jpeg("U251_E2_Gen_b_all_contour_model_DL.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
contour(x=grid_U251_Gen_not_log, y=grid_U251_E2_not_log, z=matrix(CA_complete2(C_mat=grid_U251_E2_Gen_not_log, Max=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Max, Slopes=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Slopes, Ec50s=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s, a=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$a, b=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$b, interact="DL")[order(grid_U251_E2_Gen_not_log[,2])]*100, nrow=length(grid_U251_Gen_not_log), ncol=length(grid_U251_E2_not_log), byrow=FALSE), asp=res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[2], ylab="E2 (nM)", xlab="Genistéine (nM)")
dev.off()