#################
# substances seules
#################
#See EC50_gm2_confint

jpeg("Zebra_GM/E2_Gen_gm/ZGM_single_data.jpg", width=16, height=8, unit="cm", pointsize=8, res=300)
par(mfrow=c(1,2))
plot(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai=="E2_1"), fct = LL2.4(), na.action=na.omit), col="white", ylim=c(-0.8, 2.5), broken=TRUE, xlim=c(0.001,100), xlab="E2 Concentration (M)", axes=FALSE, ylab="fold induction")
box()
axis(2, at=log10(c(0.1,1,10,100)), labels=c(0.1,1,10, 100))
axis(2, at=log10(c(seq(0.1,0.9, by=0.1), 1:10, seq(20,100, by=10),200)), labels=rep("",29))
axis(1, at=c(0.001,0.01,0.1,1,10,100), labels=as.character(c(0, 0.01/10000/1e6, 0.1/10000/1e6, 1/10000/1e6, 10/10000/1e6, 100/10000/1e6)))
lapply(1:4, function(y) {
  x<-c("E2_1", "E2_2", "E2_3", "E2_4")[y]
  res_drm<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL2.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit)
  plot(res_drm, type="all", add=TRUE, col=y, pch=y, xlim=c(0.001,100))
  })
 
plot(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai=="Gen_2"), fct = LL2.4(), na.action=na.omit), col="white", ylim=c(-0.8, 2.5), broken=TRUE, xlim=c(0.1,10), xlab="GEN Concentration (M)", axes=FALSE, ylab="fold induction")
box()
axis(2, at=log10(c(0.1,1,10,100)), labels=c(0.1,1,10, 100))
axis(2, at=log10(c(seq(0.1,0.9, by=0.1), 1:10, seq(20,100, by=10),200)), labels=rep("",29))
axis(1, at=c(0.1,1,10), labels=as.character(c(0,  1/1e6, 10/1e6)))
lapply(1:2, function(y) {
  x<-c("Gen_2", "Gen_3")[y]
  res_drm<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL2.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit)
  plot(res_drm, type="all", add=TRUE, col=y, pch=y, xlim=c(0.1,10))
})
dev.off()

jpeg("Zebra_GM/E2_Gen_gm/ZGM_single_data_confint.jpg", width=16, height=8, unit="cm", pointsize=8, res=300)
par(mfrow=c(1,2))
plot(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai=="E2_1"), fct = LL2.4(), na.action=na.omit), col="white", ylim=c(-0.8, 2.5), broken=TRUE, xlim=c(0.001,100), xlab="E2 Concentration (M)", axes=FALSE, ylab="fold induction")

box()
axis(2, at=log10(c(0.1,1,10,100)), labels=c(0.1,1,10, 100))
axis(2, at=log10(c(seq(0.1,0.9, by=0.1), 1:10, seq(20,100, by=10),200)), labels=rep("",29))
axis(1, at=c(0.001,0.01,0.1,1,10,100), labels=as.character(c(0, 0.01/10000/1e6, 0.1/10000/1e6, 1/10000/1e6, 10/10000/1e6, 100/10000/1e6)))
lapply(1:4, function(y) {
  x<-c("E2_1", "E2_2", "E2_3", "E2_4")[y]
  res_drm<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL2.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit)
  plot(res_drm, type="all", add=TRUE, col=y, pch=y, xlim=c(0.001,100))
  plot(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL2.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit), type="confidence", add=TRUE, col=y, pch=y, xlim=c(0.001,100))
})

plot(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai=="Gen_2"), fct = LL2.4(), na.action=na.omit), col="white", ylim=c(-0.8, 2.5), broken=TRUE, xlim=c(0.1,10), xlab="GEN Concentration (M)", axes=FALSE, ylab="fold induction")
box()
axis(2, at=log10(c(0.1,1,10,100)), labels=c(0.1,1,10, 100))
axis(2, at=log10(c(seq(0.1,0.9, by=0.1), 1:10, seq(20,100, by=10),200)), labels=rep("",29))
axis(1, at=c(0.1,1,10), labels=as.character(c(0,  1/1e6, 10/1e6)))
lapply(1:2, function(y) {
  x<-c("Gen_2", "Gen_3")[y]
  res_drm<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL2.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit)
  plot(res_drm, type="all", add=TRUE, col=y, pch=y, xlim=c(0.1,10))
  plot(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL2.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit), type="confidence", add=TRUE, col=y, pch=y, xlim=c(0.001,100))
})
dev.off()


# see confint(U251_Gen_ERalpha.log.Hill4_paper_min_max_slope)


jpeg("Zebra_GM/E2_Gen_gm/U251_single_data.jpg", width=16, height=8, unit="cm", pointsize=8, res=300)
par(mfrow=c(1,2))
plot(U251_E2_ERalpha.log.Hill4_paper_min_max_slope, type="all", xlim=c(1e-10, 0.001), broken=TRUE, axes=FALSE, xlab="Concentration (M)", ylab="fold induction", ylim=c(-0.5,3.9), main="ERalpha")
axis(1, at=c(1e-09, 1e-08, 1e-06, 1e-04), labels=c(0, c(1e-08, 1e-06, 1e-04)/1000))
axis(2, at=log10(c(1,10,100,1000)), labels=c(1,10, 100,1000))
plot(U251_Gen_ERalpha.log.Hill4_paper_min_max_slope, type="all", add=TRUE, col=2, pch=2, xlim=c(1e-6, 0.001))
points(x=rep(1e-09,3), log10(U251_E2_EE2_Gen_norm$Genistein_ERalpha_global_norm[1:3]), col=2, pch=2)
legend("topleft", legend=c("E2", "GEN"), col=c(1,2), lwd=1, pch=c(1,2))

plot(U251_E2_ERbeta2.log.Hill4_paper_min_max_slope, type="all", xlim=c(1e-10, 0.001), broken=TRUE, axes=FALSE, xlab="Concentration (M)", ylab="fold induction", ylim=c(-0.5,3.9), main="ERbeta2")
axis(1, at=c(1e-09, 1e-08, 1e-06, 1e-04), labels=c(0, c(1e-08, 1e-06, 1e-04)/1000))
axis(2, at=log10(c(1,10,100,1000)), labels=c(1,10, 100,1000))
plot(U251_Gen_ERbeta2.log.Hill4_paper_min_max_slope, type="all", add=TRUE, col=2, pch=2, xlim=c(1e-06, 0.001))
points(x=rep(1e-09,3), log10(U251_E2_EE2_Gen_norm$Genistein_ERbeta2_global_norm[1:3]), col=2, pch=2)
legend("topleft", legend=c("E2", "GEN"), col=c(1,2), lwd=1, pch=c(1,2))
dev.off()

jpeg("Zebra_GM/E2_Gen_gm/U251_single_data_confint.jpg", width=16, height=8, unit="cm", pointsize=8, res=300)
par(mfrow=c(1,2))
plot(U251_E2_ERalpha.log.Hill4_paper_min_max_slope, type="all", xlim=c(1e-10, 0.001), broken=TRUE, axes=FALSE, xlab="Concentration (M)", ylab="fold induction", ylim=c(-0.5,3.9), main="ERalpha")
plot(drm(log(Genistein_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(), na.action=na.omit), add=TRUE, type="confidence", xlim=c(1e-10, 0.001), col="salmon")
plot(drm(log(E2_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(), na.action=na.omit), add=TRUE, type="confidence", xlim=c(1e-10, 0.001), col="grey50")
axis(1, at=c(1e-09, 1e-08, 1e-06, 1e-04), labels=c(0, c(1e-08, 1e-06, 1e-04)/1000))
axis(2, at=log10(c(1,10,100,1000)), labels=c(1,10, 100,1000))
plot(U251_Gen_ERalpha.log.Hill4_paper_min_max_slope, type="all", add=TRUE, col=2, pch=2, xlim=c(1e-6, 0.001))
points(x=rep(1e-09,3), log10(U251_E2_EE2_Gen_norm$Genistein_ERalpha_global_norm[1:3]), col=2, pch=2)
legend("topleft", legend=c("E2", "GEN"), col=c(1,2), lwd=1, pch=c(1,2))

plot(U251_E2_ERbeta2.log.Hill4_paper_min_max_slope, type="all", xlim=c(1e-10, 0.001), broken=TRUE, axes=FALSE, xlab="Concentration (M)", ylab="fold induction", ylim=c(-0.5,3.9), main="ERbeta2")
plot(drm(log(Genistein_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(), na.action=na.omit), add=TRUE, type="confidence", xlim=c(1e-10, 0.001), col=2)
plot(drm(log(E2_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(), na.action=na.omit), add=TRUE, type="confidence", xlim=c(1e-10, 0.001), col="grey50")
axis(1, at=c(1e-09, 1e-08, 1e-06, 1e-04), labels=c(0, c(1e-08, 1e-06, 1e-04)/1000))
axis(2, at=log10(c(1,10,100,1000)), labels=c(1,10, 100,1000))
plot(U251_Gen_ERbeta2.log.Hill4_paper_min_max_slope, type="all", add=TRUE, col=2, pch=2, xlim=c(1e-06, 0.001))
points(x=rep(1e-09,3), log10(U251_E2_EE2_Gen_norm$Genistein_ERbeta2_global_norm[1:3]), col=2, pch=2)
legend("topleft", legend=c("E2", "GEN"), col=c(1,2), lwd=1, pch=c(1,2))
dev.off()




#################
# mélanges
#################

jpeg("Zebra_GM/E2_Gen_gm/ZGM_mixture_data_model_CA.jpg", width=16, height=10, unit="cm", pointsize=7, res=300)
par(mfrow=c(2,3), mar=c(4,4,3,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.1,0))
plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]/1e6, log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), log="x", ylab="log10 fold induction", xlab="Concentration E2 (M)", main="E2", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7))
points(ray_E2[,1]/1e6, list_res_ray_gm_min[[1]], type="l", lwd=2)
points(ray_E2[,1]/1e6, list_res_ray_gm_Test2_min[[1]], type="l", lwd=2, col=2)
#points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]/1e6, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),5]), type="l", col=2, lty=1)
abline(h=0)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
par(mar=c(4,2,3,0.5))

plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]/1e6+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), log="x", ylab="log10 fold induction", xlab="Concentration eq E2 (M)", main="E2:Gen 3:1", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7), axes=FALSE)
axis(1)
box()
points(ray_3E2_Gen[,1]/1e6+ray_3E2_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[2]], type="l", lwd=2)
points(ray_3E2_Gen[,1]/1e6+ray_3E2_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_Test2_min[[2]], type="l", lwd=2, col=2)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
abline(h=0)

plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]/1e6+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), log="x",  ylab="log10 fold induction", xlab="Concentration eq E2 (M)", main="E2:Gen 1:1", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7), axes=FALSE)
axis(1)
box()
points(ray_E2_Gen_gm[,1]/1e6+ray_E2_Gen_gm[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[3]], type="l", lwd=2)
points(ray_E2_Gen_gm[,1]/1e6+ray_E2_Gen_gm[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_Test2_min[[3]], type="l", lwd=2, col=2)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
abline(h=0)

plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]/1e6+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), log="x", ylab="log10 fold induction", xlab="Concentration eq E2 (M)", main="E2:Gen 1:3", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7), axes=FALSE)
axis(1)
box()
points(ray_E2_3Gen[,1]/1e6+ray_E2_3Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_Test2_min[[4]], type="l", lwd=2, col=2)
points(ray_E2_3Gen[,1]/1e6+ray_E2_3Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[4]], type="l", lwd=2)
#points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),1]/1e6+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),2]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),5]), type="l", col=2, lty=1)
#points(ray_E2_3Gen[,1]/1e6+ray_E2_3Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_Test2[[4]], type="l", lwd=2, col=2)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
abline(h=0)

plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]/1e6+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), log="x", ylab="log10 fold induction", xlab="Concentration eq E2 (M)", main="E2:Gen 0:1", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7), axes=FALSE)
axis(1)
box()
points(ray_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[5]], type="l", lwd=2)
points(ray_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_Test2_min[[5]], type="l", lwd=2, col=2)
#points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),1]/1e6+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),2]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),5]), type="l", col=2, lty=1)
#points(ray_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_Test2[[5]], type="l", lwd=2, col=2)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
abline(h=0)
dev.off()

jpeg("Zebra_GM/E2_Gen_gm/ZGM_mixture_data_model_CA_mean.jpg", width=16, height=8, unit="cm", pointsize=7, res=300)
par(mfrow=c(1,2), mar=c(4,4,3,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.1,0))
plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]/1e6, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (M)", xlim=c(10^(-2), 5)/1e9, ylim=c(-0.1,1.4))
points(list_ray[[1]][,1]/1e6+list_ray[[1]][,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[1]], type="l", lwd=2)
abline(h=0)
for (i in 2:5){
  points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]/1e6+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4]), type="p", col=i, pch=i)
  points(list_ray[[i]][,1]/1e6+list_ray[[i]][,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[i]], type="l", lwd=2, col=i, lty=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)

plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]/1e6, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),5]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (M)", xlim=c(10^(-2), 5)/1e9, ylim=c(-0.3,1.2))
points(list_ray[[1]][,1]/1e6+list_ray[[1]][,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_Test2_min[[1]], type="l", lwd=2)
abline(h=0)
for (i in 2:5){
  points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]/1e6+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),5]), type="p", col=i, pch=i)
  points(list_ray[[i]][,1]/1e6+list_ray[[i]][,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_Test2_min[[i]], type="l", lwd=2, col=i, lty=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)

dev.off()







jpeg("Zebra_GM/E2_Gen_gm/ZGM_mixture_data_model_SA_modified.jpg", width=16, height=10, unit="cm", pointsize=7, res=300)
par(mfrow=c(2,3), mar=c(4,4,3,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.1,0))
plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]/1e6, log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), log="x", ylab="log10 fold induction", xlab="Concentration E2 (M)", main="E2", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7))
points(ray_E2[,1]/1e6, list_res_ray_gm_min_SA_modified[[1]], type="l", lwd=2)
points(ray_E2[,1]/1e6, list_res_ray_modified_SA_Test2_gm_min[[1]], type="l", lwd=2, col=2)
#points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]/1e6, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),5]), type="l", col=2, lty=1)
abline(h=0)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
par(mar=c(4,2,3,0.5))

plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]/1e6+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), log="x", ylab="log10 fold induction", xlab="Concentration eq E2 (M)", main="E2:Gen 3:1", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7), axes=FALSE)
axis(1)
box()
points(ray_3E2_Gen[,1]/1e6+ray_3E2_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min_SA_modified[[2]], type="l", lwd=2)
points(ray_3E2_Gen[,1]/1e6+ray_3E2_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_modified_SA_Test2_gm_min[[2]], type="l", lwd=2, col=2)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
abline(h=0)

plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]/1e6+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), log="x",  ylab="log10 fold induction", xlab="Concentration eq E2 (M)", main="E2:Gen 1:1", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7), axes=FALSE)
axis(1)
box()
points(ray_E2_Gen_gm[,1]/1e6+ray_E2_Gen_gm[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min_SA_modified[[3]], type="l", lwd=2)
points(ray_E2_Gen_gm[,1]/1e6+ray_E2_Gen_gm[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_modified_SA_Test2_gm_min[[3]], type="l", lwd=2, col=2)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
abline(h=0)

plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]/1e6+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), log="x", ylab="log10 fold induction", xlab="Concentration eq E2 (M)", main="E2:Gen 1:3", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7), axes=FALSE)
axis(1)
box()
points(ray_E2_3Gen[,1]/1e6+ray_E2_3Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_modified_SA_Test2_gm_min[[4]], type="l", lwd=2, col=2)
points(ray_E2_3Gen[,1]/1e6+ray_E2_3Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min_SA_modified[[4]], type="l", lwd=2)
#points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),1]/1e6+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),2]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),5]), type="l", col=2, lty=1)
#points(ray_E2_3Gen[,1]/1e6+ray_E2_3Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_Test2[[4]], type="l", lwd=2, col=2)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
abline(h=0)

plot(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]/1e6+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), log="x", ylab="log10 fold induction", xlab="Concentration eq E2 (M)", main="E2:Gen 0:1", xlim=c(10^(-2), 5)/1e9, ylim=c(-1.3,1.7), axes=FALSE)
axis(1)
box()
points(ray_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min_SA_modified[[5]], type="l", lwd=2)
points(ray_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_modified_SA_Test2_gm_min[[5]], type="l", lwd=2, col=2)
#points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),1]/1e6+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),2]/1e6/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),5]), type="l", col=2, lty=1)
#points(ray_Gen[,2]/1e6/mean_EC50[3]*mean_EC50[1], list_res_ray_Test2[[5]], type="l", lwd=2, col=2)
legend("topleft", col=c(1,2), lty=1, lwd=c(2, 2), legend=c("Exp. 1", "Exp. 2"), ncol=2)
abline(h=0)
dev.off()

jpeg("Zebra_GM/E2_Gen_gm/ZGM_mixture_data_model_SA_modified_mean_newTEF.jpg", width=16, height=8, unit="cm", pointsize=7, res=300)
par(mfrow=c(1,2), mar=c(4,4,3,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.1,0))
plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]/1e6, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (M)", xlim=c(10^(-2), 5)/1e9, ylim=c(-0.1,1.4), main="Exp. 1")
points(list_ray[[1]][,1]/1e6+list_ray[[1]][,2]/1e6/res_E2_Gen_gm_min_fit_SA_modified$Ec50s[2]*res_E2_Gen_gm_min_fit_SA_modified$Ec50s[1], list_res_ray_gm_min_SA_modified[[1]], type="l", lwd=2)
abline(h=0)
for (i in 2:5){
  points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]/1e6+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]/1e6/res_E2_Gen_gm_min_fit_SA_modified$Ec50s[2]*res_E2_Gen_gm_min_fit_SA_modified$Ec50s[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4]), type="p", col=i, pch=i)
  points(list_ray[[i]][,1]/1e6+list_ray[[i]][,2]/1e6/res_E2_Gen_gm_min_fit_SA_modified$Ec50s[2]*res_E2_Gen_gm_min_fit_SA_modified$Ec50s[1], list_res_ray_gm_min_SA_modified[[i]], type="l", lwd=2, col=i, lty=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)

plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]/1e6, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),5]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (M)", xlim=c(10^(-2), 5)/1e9, ylim=c(-0.35,1.2), main="Exp. 2")
points(list_ray[[1]][,1]/1e6+list_ray[[1]][,2]/1e6/res_E2_Gen_gm_fit_modified_SA_Test2_min_nlm$Ec50s[2]*res_E2_Gen_gm_fit_modified_SA_Test2_min_nlm$Ec50s[1], list_res_ray_modified_SA_Test2_gm_min[[1]], type="l", lwd=2)
abline(h=0)
for (i in 2:5){
  points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]/1e6+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]/1e6/res_E2_Gen_gm_fit_modified_SA_Test2_min_nlm$Ec50s[2]*res_E2_Gen_gm_fit_modified_SA_Test2_min_nlm$Ec50s[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),5]), type="p", col=i, pch=i)
  points(list_ray[[i]][,1]/1e6+list_ray[[i]][,2]/1e6/res_E2_Gen_gm_fit_modified_SA_Test2_min_nlm$Ec50s[2]*res_E2_Gen_gm_fit_modified_SA_Test2_min_nlm$Ec50s[1], list_res_ray_modified_SA_Test2_gm_min[[i]], type="l", lwd=2, col=i, lty=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)

dev.off()


jpeg("Zebra_GM/E2_Gen_gm/ZGM_EC_isobole_EC50_Essai1_min_paper.jpg", height=8,width=8, unit="cm",res=300, pointsize=9)
par(mar=c(4,4,2,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_ZGM_mixture_E2_Gen_gm_min_free_EC, ylab="E2 (M)", xlab="Genistein (M)", axes=F) # antagonism
box()
axis(1, at=seq(0,1.2, by=0.2), labels=seq(0,1.2, by=0.2)/1e6)
axis(2, at=seq(0,0.0003, by=0.0001), labels=seq(0,0.0003, by=0.0001)/1e6) 
dev.off()

jpeg("Zebra_GM/E2_Gen_gm/ZGM_EC_isobole_EC50_Essai2_paper.jpg", height=8,width=8, unit="cm",res=300, pointsize=9)
par(mar=c(4,4,2,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_ZGM_mixture_E2_Gen_gm_free_EC_Test2_min, ylab="E2 (M)", xlab="Genistein (M)", axes=F) # antagonism Doesn't quite fit though OK à 1%
box()
axis(1, at=seq(0,1, by=0.2), labels=seq(0,1, by=0.2)/1e6)
axis(2, at=seq(0,0.0005, by=0.0001), labels=seq(0,0.0005, by=0.0001)/1e6)
dev.off()





# in vitro
jpeg("U251_E2_Gen_a_all_isobole_EC_paper.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_U251_E2_Gen_a_all_mixture_EC, xlim=c(0,200), ylim=c(0,200/(res_U251_E2_Gen_a_all_mixture_EC$coefficients[4]/res_U251_E2_Gen_a_all_mixture_EC$coefficients[8])), ylab="E2 (M)", xlab="Genistein (M)", axes=FALSE) #antagonisme but not very regular.  
axis(1, at=seq(0,200, by=50), labels=seq(0,200, by=50)/1e9)
box()
axis(2, at=seq(0,3, by=1), labels=seq(0,3, by=1)/1e9)
dev.off()

# jpeg("U251_E2_Gen_a_all_isobole_EC_Slopes_paper.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
# par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
# isobole(res_U251_E2_Gen_a_all_mixture_EC_Slopes, xlim=c(0,200), ylim=c(0,200/(res_U251_E2_Gen_a_all_mixture_EC_Slopes$coefficients[8]/res_U251_E2_Gen_a_all_mixture_EC_Slopes$coefficients[12])), ylab="E2 (M)", xlab="Genistein (M)", axes=FALSE) #antagonisme but not very regular.  
# axis(1, at=seq(0,200, by=50), labels=seq(0,200, by=50)/1e9)
# box()
# axis(2, at=seq(0,3, by=0.5), labels=seq(0,3, by=0.5)/1e9)
# dev.off() # quasi pas de différence.
# 

jpeg("model_CA_DL_U251_E2_Gen_a_all_paper.jpg", width=8, height=7, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,4,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot((list_ray_U251_E2_Gen_a[[1]]$Gen/(res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2])+list_ray_U251_E2_Gen_a[[1]]$E2)/1e9, res_ray_U251_E2_Gen_a_all_CA_DL[[1]], type="l", xlab="Concentration eq E2 (M)", ylab="log10(fold induction)", log="x", ylim=c(-0.15,1.1), main="ERa")
points(U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])]/(res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])], log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1]), 5]))
for (i in 2:5){
  points((list_ray_U251_E2_Gen_a[[i]]$Gen/(res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2])+list_ray_U251_E2_Gen_a[[i]]$E2)/1e9, res_ray_U251_E2_Gen_a_all_CA_DL[[i]], type="l",col=i)
  points((U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])]/(res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])])/1e9, log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i]), 5]), col=i, pch=i, lty=i)
}
abline(h=0, lty=2, col="grey")
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()
jpeg("model_CA_DL_U251_E2_Gen_a_all_paper_axislog.jpg", width=8, height=7, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,4,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot((list_ray_U251_E2_Gen_a[[1]]$Gen/(res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2])+list_ray_U251_E2_Gen_a[[1]]$E2)/1e9, res_ray_U251_E2_Gen_a_all_CA_DL[[1]], type="l", xlab="Concentration eq E2 (M)", ylab="fold induction", log="x", ylim=c(-0.15,1.1), main="ERa", axes=FALSE)
box()
axis(1)
axis(2, at=log10(c(1:8,10)), labels=c(1,2,"","",5,"","","",10))
points(U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])]/(res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1])]/1e9, log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[1]), 5]))
for (i in 2:5){
  points((list_ray_U251_E2_Gen_a[[i]]$Gen/(res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2])+list_ray_U251_E2_Gen_a[[i]]$E2)/1e9, res_ray_U251_E2_Gen_a_all_CA_DL[[i]], type="l",col=i, lty=i)
  points((U251_E2_Gen_a_all_geom_mean$Genistein[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])]/(res_U251_E2_Gen_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_all_CA_DL$Ec50s[2])+U251_E2_Gen_a_all_geom_mean$E2[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i])])/1e9, log10(U251_E2_Gen_a_all_geom_mean[which(U251_E2_Gen_a_all_geom_mean$pct==lev_pct[i]), 5]), col=i, pch=i)
}
abline(h=0, lty=2, col="grey")
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()





jpeg("U251_E2_Gen_b_all_isobole_EC_paper.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_U251_E2_Gen_b_all_mixture_EC, xlim=c(0,50), ylim=c(0,50/(res_U251_E2_Gen_b_all_mixture_EC$coefficients[4]/res_U251_E2_Gen_b_all_mixture_EC$coefficients[8])), ylab="E2 (M)", xlab="Genistein (M)", axes=FALSE) #antagonisme but not very regular.  
axis(1, at=seq(0,60, by=20), labels=seq(0,60, by=20)/1e9)
box()
axis(2, at=seq(0,0.25, by=0.05), labels=seq(0,0.25, by=0.05)/1e9)
dev.off()

# jpeg("model_EC_U251_E2_Gen_b_all_paper.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
# par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
# plot(list_ray_U251_E2_Gen_a[[1]]$Gen/(EC50_beta2[3]/EC50_beta2[1])+list_ray_U251_E2_Gen_a[[1]]$E2, res_ray_U251_E2_Gen_b_all[[1]]*100, type="l", xlab="Concentration eq E2 (nM)", ylab="log fold induction (%E2)", log="x", ylim=c(-25,120)) 
# points(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])]/(EC50_beta2[3]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1]), 5])*100)
# for (i in 2:5){
#   points(list_ray_U251_E2_Gen_a[[i]]$Gen/(EC50_beta2[3]/EC50_beta2[1])+list_ray_U251_E2_Gen_a[[i]]$E2, res_ray_U251_E2_Gen_b_all[[i]]*100, type="l",col=i, lty=i)
#   points(U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])]/(EC50_beta2[3]/EC50_beta2[1])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])], log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i]), 5])*100, col=i, pch=i)
# }
# legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
# dev.off()


# jpeg("U251_E2_Gen_b_all_relative_model_DL_slopes_paper.jpg", width=8, height=7, unit="cm", pointsize=7, res=300)
# par(mar=c(4,4,4,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
# plot((U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])]/(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[2])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])])/1e9, 
#      log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1]), 5])*100, log="x",  pch=1, ylab="log fold induction (%E2)", xlab="concentration eq E2 (M)", xlim=c(0.0001, 100)/1e9, ylim=c(-10,115), main="beta 2")
# points((list_ray_U251_E2_Gen_a[[1]][,1]+list_ray_U251_E2_Gen_a[[1]][,2]/(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[2]))/1e9, list_res_ray_U251_DL_slopes_b_all[[1]]*100, type="l", lwd=2)
# for (i in 2:5){
#   points((U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])]/(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[2])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])])/1e9, 
#          log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i]), 5])*100, pch=i, col=i)
#   points((list_ray_U251_E2_Gen_a[[i]][,1]+list_ray_U251_E2_Gen_a[[i]][,2]/(res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL_slopes_Mixtox$Ec50s[2]))/1e9, list_res_ray_U251_DL_slopes_b_all[[i]]*100, type="l", lwd=2, col=i, lty=i)
# }
# abline(h=0)
# legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
# dev.off()

jpeg("U251_E2_Gen_b_all_relative_model_DL_paper.jpg", width=8, height=7, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,4,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot((U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])]/(res_U251_E2_Gen_b_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL$Ec50s[2])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1])])/1e9, 
     log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[1]), 5])*100, log="x",  pch=1, ylab="log fold induction (%E2)", xlab="concentration eq E2 (M)", xlim=c(0.0001, 100)/1e9, ylim=c(-10,115), main="ERb2")
points((list_ray_U251_E2_Gen_a[[1]][,1]+list_ray_U251_E2_Gen_a[[1]][,2]/(res_U251_E2_Gen_b_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL$Ec50s[2]))/1e9, list_res_ray_U251_DL_b_all[[1]]*100, type="l", lwd=2)
for (i in 2:5){
  points((U251_E2_Gen_b_all_geom_mean_norm$Genistein[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])]/(res_U251_E2_Gen_b_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL$Ec50s[2])+U251_E2_Gen_b_all_geom_mean_norm$E2[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i])])/1e9, 
         log10(U251_E2_Gen_b_all_geom_mean_norm[which(U251_E2_Gen_b_all_geom_mean_norm$pct==lev_pct[i]), 5])*100, pch=i, col=i)
  points((list_ray_U251_E2_Gen_a[[i]][,1]+list_ray_U251_E2_Gen_a[[i]][,2]/(res_U251_E2_Gen_b_all_CA_DL$Ec50s[1]/res_U251_E2_Gen_b_all_CA_DL$Ec50s[2]))/1e9, list_res_ray_U251_DL_b_all[[i]]*100, type="l", lwd=2, col=i, lty=i)
}
abline(h=0)
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()


